<?php
/*****************************************************************
 *   index.php
 *   -------------------
 *   This file is part of AMAZECS
 *
 *   @package    : amazecs
 *   @purpose    : Drives the application
 *   @copyright  : (C) 2004,2006 Len Johnson
 *   @mail       : GB WEBS, 4 Leominster Walk,
 *				   West Midlands, B45 9SW, UK
 *   @support    : http://www.web-bureau.com/forum/
 *   @version    : $Id: index.php,v 1.0.0 $
 *   @license 	 : http://opensource.org/licenses/gpl-license.php
 *
 *****************************************************************/
 /*****************************************************************
 *	 GNU Public License
 *   This program is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty
 *	 of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *****************************************************************/

session_start();
header("Cache-control: private"); // IE 6 Fix

require_once('fusion_header.php');
require_once('parser.php');
require_once('xml_urls.php');
require_once('sort.php');
require_once('navigation.php');
require_once('render.php');

switch ($action) {

    case 'add':
    if ($ASIN) {
		$itemNumber = $ASIN;
		$itemIdType = '&Item.1.ASIN=';
	} elseif ($OfferListingId) {
		$itemNumber = $OfferListingId;
		$itemIdType = '&Item.1.OfferListingId=';
	} else  {
        render_amznocart($lang);
    }
    if (!$quantity) {
		$quantity = '1';
	}
    if ($_SESSION['CartId'] && $_SESSION['HMAC']) { // add to existing cart
		$_SESSION['CartTotal'] = '';
        $escUrl = CartAdd($itemNumber,$quantity,$itemIdType);
		// $pagetitle = 'Your Shopping Cart Contents';
		parseCartAddXML();
        $_SESSION['CartId'] = $arxIndex['CartId'];
        $_SESSION['HMAC'] = $arxIndex['HMAC'];
    } elseif (!$_SESSION['CartId'] || !$_SESSION['HMAC']) { // Create NEW cart
        $escUrl = CartCreate($itemNumber,$quantity,$itemIdType);
        parseCartXML();
        $_SESSION['CartId'] = $arxIndex['CartId'];
        $_SESSION['HMAC'] = $arxIndex['HMAC'];
    }
    render_cart($arxIndex,$arxItems,$lang);
    break;

    case 'get':
	$_SESSION['CartTotal']="";
	$escUrl = CartGet();
	parseGetCartXML();
    $_SESSION['CartId'] = $arxIndex['CartId'];
    $_SESSION['HMAC'] = $arxIndex['HMAC'];
    render_cart($arxIndex,$arxItems,$lang);
    break;

    case 'clear':
    $escUrl = CartClear();
	parseClearCartXML();
    render_amznocart($lang);
    break;

    case 'modify':
    $_SESSION['CartTotal']="";
	$escUrl = CartModify($CartItemId,$quantity);
	parseModifyCartXML();
    $_SESSION['CartId'] = $arxIndex['CartId'];
    $_SESSION['HMAC'] = $arxIndex['HMAC'];
    render_cart($arxIndex,$arxItems,$lang);
    break;

	case 'search':
    $Keywords = urlencode($Keywords);
    $cachename = 'cache/search.'.$Keywords.$SearchIndex.$BrowseNode.$page.$Sort.'.xml';
    if (file_exists($cachename) && (mktime() - filemtime($cachename) < 86400)) {
      $escUrl = $cachename;
    } else {
		$escUrl = search($Keywords,$SearchIndex,$BrowseNode);
		$data = file_get_contents($escUrl);
		$fp = fopen($cachename, 'wb');
		if(!$fp || (fwrite($fp, $data)==-1)) {
			echo $locale['amazecs119'];
		}
    	fclose($fp);
	}
	parseXML();
    render_amzsearch($arxIndex,$arxItems);
    break;

    case 'product':
    $cachename = 'cache/product.'.$ASIN.'.xml';
    if (file_exists($cachename) && (mktime() - filemtime($cachename) < 86400)) {
      $escUrl = $cachename;
    } else {
		$escUrl = product($ASIN);
		$data = file_get_contents($escUrl);
		$fp = fopen($cachename, 'wb');
		if(!$fp || (fwrite($fp, $data)==-1)) {
			echo $locale['amazecs119'];
		}
    	fclose($fp);
	}
    parseProdXML();
    render_amzprod($arxIndex,$arxItems);
    break;

    default:
	$cachename = 'cache/index.'.FEATURED_ASINS.'.xml';
	if (file_exists($cachename) && (mktime() - filemtime($cachename) < 86400)) {
	  $escUrl = $cachename;
	} else {
	    $escUrl = multi_product(FEATURED_ASINS);
	    $data = file_get_contents($escUrl);
	    $fp = fopen($cachename, 'wb');
	    if(!$fp || (fwrite($fp, $data)==-1)) {
	        echo $locale['amazecs119'];
	    }
	    fclose($fp);
	}
	parseProdXML();
	render_amzecs($arxIndex,$arxItems);
    break;
}

require_once "fusion_footer.php";
?>