<?php
/*****************************************************************
 *   navigation.php
 *   -------------------
 *   This file is part of AMAZECS
 *
 *   @package    : amazecs
 *   @purpose    : Next and prev page links for search pages
 *   @copyright  : (C) 2004,2006 Len Johnson
 *   @mail       : GB WEBS, 4 Leominster Walk,
 *				   West Midlands, B45 9SW, UK
 *   @support    : http://www.web-bureau.com/forum/
 *   @version    : $Id: navigation.php,v 1.0.0 $
 *   @license 	 : http://opensource.org/licenses/gpl-license.php
 *
 *****************************************************************/
 /*****************************************************************
 *	 GNU Public License
 *   This program is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty
 *	 of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *****************************************************************/

/**
 * @ignore
 */

// Show upto 5 next page links for search pages

function next_links($page)
{
	global $Artist,$Author,$Brand,$BrowseNode,$Composer,$Conductor,$Keywords,$Manufacturer,$MusicLabel,$SearchIndex,$Sort,$total_pages,$Title,$arxIndex,$arxItems;

	for ($u=0; $u<5; $u++)
	{
		$newPage= ($page+$u)+1;

		if (($page+$u)<$total_pages)
		{
			$next .= '<a href="' . $_SERVER['PHP_SELF']  . '?action=search';

    		if($Keywords)
    		{
    			$next .= '&Keywords=' . $Keywords;
    		}
    		if($SearchIndex)
    		{
    			$next .= '&SearchIndex=' . $SearchIndex;
    		}

            $next .= '&page=' . $newPage;

    		if($BrowseNode)
    		{
    			$next .= '&BrowseNode=' . $BrowseNode;
    		}
    		if($Artist)
    		{
    			$next .= '&Artist=' . $Artist;
    		}
    		if($Actor)
    		{
    			$next .= '&Actor=' . $Actor;
    		}
    		if($ASIN)
    		{
    			$next .= '&ASIN=' . $ASIN;
    		}
    		if($Author)
    		{
    			$next .= '&Author=' . $Author;
    		}
    		if($Brand)
    		{
    			$next .= '&Brand=' . $Brand;
    		}
    		if($Composer)
    		{
    			$next .= '&Composer=' . $Composer;
    		}
    		if($Conductor)
    		{
    			$next .= '&Conductor=' . $Conductor;
    		}
    		if($Condition)
    		{
    			$next .= '&Condition=' . $Condition;
    		}
    		if($Conductor)
    		{
    			$next .= '&Conductor=' . $Conductor;
    		}
    		if($Director)
    		{
    			$next .= '&Director=' . $Director;
    		}
    		if($ISBN)
    		{
    			$next .= '&ISBN=' . $ISBN;
    		}
    		if($Manufacturer)
    		{
    			$next .= '&Manufacturer=' . $Manufacturer;
    		}
    		if($MaximumPrice)
    		{
    			$next .= '&MaximumPrice=' . $MaximumPrice;
    		}
    		if($MinimumPrice)
    		{
    			$next .= '&MinimumPrice=' . $MinimumPrice;
    		}
    		if($MPAARating)
    		{
    			$next .= '&MPAARating=' . $MPAARating;
    		}
    		if($Orchestra)
    		{
    			$next .= '&Orchestra=' . $Orchestra;
    		}
    		if($Publisher)
    		{
    			$next .= '&Publisher=' . $Publisher;
    		}
    		if($Power)
    		{
    			$next .= '&Power=' . $Power;
    		}
    		if($Power)
    		{
    			$next .= '&Power=' . $Power;
    		}
    		if($power)
    		{
    			$next .= '&Power=' . $power;
    		}
    		if($Title)
    		{
    			$next .= '&Title=' . $Title;
    		}
    		if($MusicLabel)
    		{
    			$next .= '&MusicLabel=' . $MusicLabel;
    		}
    		if($Sort)
    		{
    			$next .= '&Sort=' . $Sort;
    		}
        $next .= '">' . $newPage .'</a> ';
		}
	}

	print $next;
}

// Show upto 5 previous page links for search pages
function prev_links($page)
{
	global $Artist,$Author,$Brand,$BrowseNode,$Composer,$Conductor,$Keywords,$Manufacturer,$MusicLabel,$SearchIndex,$Sort,$total_pages,$Title,$arxIndex,$arxItems;

	for ($i=5; $i>0; $i--)
	{
		$newPage=($page-$i)+1;

		if (($page-$i)>0)
		{
			if ($newPage == $page)
			{
				$next.= '<b>' . $newPage .'</b> ';
			}
			elseif ($newPage)
			{
				$next .= '<a href="' . $_SERVER['PHP_SELF'] . '?action=search';

	            if($Keywords)
	            {
	                $next .= '&Keywords=' . $Keywords;
	            }
	            if($SearchIndex)
	            {
	                $next .= '&SearchIndex=' . $SearchIndex;
	            }

	            $next .= '&page=' . $newPage;

    			if($BrowseNode)
    			{
    				$next .= '&BrowseNode=' . $BrowseNode;
    			}
    			if($Artist)
    			{
    				$next .= '&Artist=' . $Artist;
    			}
    			if($Actor)
    			{
    				$next .= '&Actor=' . $Actor;
    			}
    			if($ASIN)
    			{
    				$next .= '&ASIN=' . $ASIN;
    			}
    			if($Author)
    			{
    				$next .= '&Author=' . $Author;
    			}
    			if($Brand)
    			{
    				$next .= '&Brand=' . $Brand;
    			}
    			if($Composer)
    			{
    				$next .= '&Composer=' . $Composer;
    			}
    			if($Conductor)
    			{
    				$next .= '&Conductor=' . $Conductor;
    			}
    			if($Condition)
    			{
    				$next .= '&Condition=' . $Condition;
    			}
    			if($Conductor)
    			{
    				$next .= '&Conductor=' . $Conductor;
    			}
    			if($Director)
    			{
    				$next .= '&Director=' . $Director;
    	   		}
    			if($ISBN)
    			{
    				$next .= '&ISBN=' . $ISBN;
    	   		}
    			if($Manufacturer)
    			{
    				$next .= '&Manufacturer=' . $Manufacturer;
    			}
    			if($MaximumPrice)
    			{
    				$next .= '&MaximumPrice=' . $MaximumPrice;
    	   		}
    			if($MinimumPrice)
    			{
    				$next .= '&MinimumPrice=' . $MinimumPrice;
    			}
    			if($MPAARating)
    			{
    		   		$next .= '&MPAARating=' . $MPAARating;
    	   		}
    			if($Orchestra)
    			{
    				$next .= '&Orchestra=' . $Orchestra;
    	   		}
    			if($Publisher)
    			{
    				$next .= '&Publisher=' . $Publisher;
    	  		}
    			if($Power)
    			{
    				$next .= '&Power=' . $Power;
    			}
    			if($Power)
    			{
    				$next .= '&Power=' . $Power;
    	   		}
    			if($power)
    			{
    		   		$next .= '&Power=' . $power;
    	 		}
    	   		if($Title)
    			{
    				$next .= '&Title=' . $Title;
    	   		}
    	   		if($MusicLabel)
    			{
    				$next .= '&MusicLabel=' . $MusicLabel;
    	  		}
    			if($Sort)
    			{
    		   		$next .= '&Sort=' . $Sort;
    			}

            	$next .= '">' . $newPage .'</a> ';
			}
		}
	}

	print $next;
}
?>