<?php
/*****************************************************************
 *   parser.php
 *   -------------------
 *   This file is part of AMAZECS
 *
 *   @package    : amazecs
 *   @purpose    : Parser functions
 *   @copyright  : (C) 2004,2006 Len Johnson
 *   @mail       : GB WEBS, 4 Leominster Walk,
 *				   West Midlands, B45 9SW, UK
 *   @support    : http://www.web-bureau.com/forum/
 *   @version    : $Id: parser.php,v 1.0.0 $
 *   @license 	 : http://opensource.org/licenses/gpl-license.php
 *
 *****************************************************************/
 /*****************************************************************
 *	 GNU Public License
 *   This program is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty
 *	 of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *****************************************************************/

/**
 * @ignore
 */

function parseXML()
{
	global $escUrl;
	$open_stack = array();
	$parser = xml_parser_create('');
	xml_set_element_handler($parser, "start_handler", "end_handler");
	xml_set_character_data_handler($parser, "character_handler");
	xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
	xml_parse($parser, implode('', file($escUrl))) or die (format_error( $parser ));
	xml_parser_free($parser);
}

function start_handler($p, $name, $atts)
{
	global $open_stack, $curName;
	$curName .= "^$name";
	$open_stack[] = array($curName, "", $atts);
}

function character_handler($p, $txt)
{
	global $open_stack;
	$cur_index = count($open_stack)-1;
	$open_stack[$cur_index][1] .= $txt;
}

function end_handler($p, $name)
{
	global $open_stack,$arxItems,$curName,$itemCount,$curDisc,$arxIndex, $debug,$indexCount;
	$seperatorPosition = strrpos($curName,'^');
	$curName = substr($curName,0,$seperatorPosition);
	$el = array_pop($open_stack);


	// the following prints the path and contents of each element

    // if ($debug =='1')
    // {
    /*
	echo $el[0] . ': '; 				// element path
	echo $el[1] . '<br /><br />';	// element data
	echo $el[2] . '<br /><br />';	// element attributes
    */
    // }


	//
	// add items to results array
	//
    // blended


    if ($el[0] == "^ItemSearchResponse^Items^Request^ItemSearchRequest^Keywords")
	{
		$arxIndex['Keywords'] .= $el[1];
	}

	if ($el[0] == "^ItemSearchResponse^Items^Request^ItemSearchRequest^SearchIndex")
	{
		$arxIndex['SearchIndex'] .= $el[1];
	}
    if ($el[0] == "^ItemSearchResponse^Items^Request^ItemSearchRequest^ItemPage")
	{
		$arxIndex['ItemPage'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Request^Errors^Error^Code")
	{
		$arxIndex['ErrorCode'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Request^Errors^Error^Message")
	{
		$arxIndex['ErrorMessage'] .= $el[1];
	}

	if ($el[0] == "^ItemSearchResponse^Items^SearchResultsMap^SearchIndex^IndexName")
	{

	//
	// begin searchIndex count array loop
	//

		$arxIndex[$indexCount++];

		$arxIndex['SearchIndexIndexName'][] .= $el[1];

		if ($el[1] == "SoftwareVideoGames")
		{
			$arxIndex['SearchIndexFriendlyName'][] .= "Software & Video Games";
		}
		elseif ($el[1] == "VideoGames")
		{
			$arxIndex['SearchIndexFriendlyName'][] .= "Video Games";
		}
		else
		{
			$arxIndex['SearchIndexFriendlyName'][] .= $el[1];
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^SearchResultsMap^SearchIndex^Results")
	{
		$arxIndex['SearchIndexResults'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^SearchResultsMap^SearchIndex^Pages")
	{
		$arxIndex['SearchIndexPages'][] .= $el[1];
	}

	if ($el[0] == "^ItemSearchResponse^Items^SearchResultsMap^SearchIndex^CorrectedQuery^Keywords")
	{
		$arxIndex['CorrectedQueryKeywords'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^SearchResultsMap^SearchIndex^CorrectedQuery^Message")
	{
		$arxIndex['CorrectedQueryMessage'][] .= $el[1];
	}

	if ($el[0] == "^ItemSearchResponse^Items^SearchResultsMap^SearchIndex^RelevanceRank")
	{
		$arxIndex['SearchIndexRelevanceRank'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^SearchResultsMap^SearchIndex^ASIN")
	{
		$arxIndex['SearchIndexASIN'][$indexCount][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^TotalResults")
	{
		$arxIndex['TotalResults'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^TotalPages")
	{
		$arxIndex['TotalPages'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item")
    {

	//
	// begin product array loop
	//

	$arxItems[$itemCount++];
    }

	//
	// add items to product array
	//

	if ($el[0] == "^ItemSearchResponse^Items^Item^ASIN")
	{
		$arxItems[$itemCount]['ASIN'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^DetailPageURL")
	{
		$arxItems[$itemCount]['DetailPageURL'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^SalesRank")
	{
		$arxItems[$itemCount]['SalesRank'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^SmallImage^URL")
	{
		$arxItems[$itemCount]['SmallImageURL'] .= $el[1];
		$arxItems[$itemCount]['SmallImageURLtest'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^SmallImage^Height")
	{
		$arxItems[$itemCount]['SmallImageHeight'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['SmallImageHeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^SmallImage^Width")
	{
		$arxItems[$itemCount]['SmallImageWidth'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['SmallImageWidthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^SmallImage^URL")
	{
		$arxItems[$itemCount]['SmallImageURL'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^MediumImage^URL")
	{
		$arxItems[$itemCount]['MediumImageURL'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^MediumImage^Height")
	{
		$arxItems[$itemCount]['MediumImageHeight'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['MediumImageHeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^MediumImage^Width")
	{
		$arxItems[$itemCount]['MediumImageWidth'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['MediumImageWidthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^LargeImage^URL")
	{
		$arxItems[$itemCount]['LargeImageURL'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^LargeImage^Height")
	{
		$arxItems[$itemCount]['LargeImageHeight'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['LargeImageHeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^LargeImage^Width")
	{
		$arxItems[$itemCount]['LargeImageWidth'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['LargeImageWidthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ImageSets^ImageSet")
	{
		$arxItems[$itemCount]['ImageSet'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['ImageSetAttributes'][][$key] .= $el[2][$key];
			}
		}
	}

	if ($el[0] == "^ItemSearchResponse^Items^Item^ImageSets^ImageSet^SmallImage^URL")
	{
		$arxItems[$itemCount]['SmallImageSetURL'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ImageSets^ImageSet^SmallImage^Height")
	{
		$arxItems[$itemCount]['SmallImageSetHeight'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['SmallImageSetHeightAttributes'][$key][] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ImageSets^ImageSet^SmallImage^Width")
	{
		$arxItems[$itemCount]['SmallImageSetWidth'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['SmallImageSetWidthAttributes'][$key][] .= $el[2][$key];
			}
		}
	}


	if ($el[0] == "^ItemSearchResponse^Items^Item^ImageSets^ImageSet^MediumImage^URL")
	{
		$arxItems[$itemCount]['MediumImageSetURL'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ImageSets^ImageSet^MediumImage^Height")
	{
		$arxItems[$itemCount]['MediumImageSetHeight'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['MediumImageSetHeightAttributes'][$key][] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ImageSets^ImageSet^MediumImage^Width")
	{
		$arxItems[$itemCount]['MediumImageSetWidth'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['MediumImageSetWidthAttributes'][$key][] .= $el[2][$key];
			}
		}
	}

	if ($el[0] == "^ItemSearchResponse^Items^Item^ImageSets^ImageSet^LargeImage^URL")
	{
		$arxItems[$itemCount]['LargeImageSetURL'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ImageSets^ImageSet^LargeImage^Height")
	{
		$arxItems[$itemCount]['LargeImageSetHeight'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['LargeImageSetHeightAttributes'][$key][] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ImageSets^ImageSet^LargeImage^Width")
	{
		$arxItems[$itemCount]['LargeImageSetWidth'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['LargeImageSetWidthAttributes'][$key][] .= $el[2][$key];
			}
		}
	}


	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Feature")
	{
		$arxItems[$itemCount]['Feature'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ListPrice^Amount")
	{
		$arxItems[$itemCount]['ListPriceAmount'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ListPrice^CurrencyCode")
	{
		$arxItems[$itemCount]['ListPriceCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ListPrice^FormattedPrice")
	{
		$arxItems[$itemCount]['ListPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^EAN")
	{
		$arxItems[$itemCount]['EAN'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Binding")
	{
		$arxItems[$itemCount]['Binding'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PackageDimensions^Height")
	{
		$arxItems[$itemCount]['PackageDimensionsHeight'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['PackageHeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PackageDimensions^Length")
	{
		$arxItems[$itemCount]['PackageDimensionsLength'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['PackageLengthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PackageDimensions^Weight")
	{
		$arxItems[$itemCount]['PackageDimensionsWeight'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['PackageWeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PackageDimensions^Width")
	{
		$arxItems[$itemCount]['PackageDimensionsWidth'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['PackageWidthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^DeweyDecimalNumber")
	{
		$arxItems[$itemCount]['DeweyDecimalNumber'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ISBN")
	{
		$arxItems[$itemCount]['ISBN'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NumberOfPages")
	{
		$arxItems[$itemCount]['NumberOfPages'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PublicationDate")
	{
		$arxItems[$itemCount]['PublicationDate'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Publisher")
	{
		$arxItems[$itemCount]['Publisher'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ReadingLevel")
	{
		$arxItems[$itemCount]['ReadingLevel'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Artist")
	{
		$arxItems[$itemCount]['Artist'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Format")
	{
		$arxItems[$itemCount]['Format'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Label")
	{
		$arxItems[$itemCount]['Label'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NumberOfTracks")
	{
		$arxItems[$itemCount]['NumberOfTracks'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NumberOfDiscs")
	{
		$arxItems[$itemCount]['NumberOfDiscs'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ReleaseDate")
	{
		$arxItems[$itemCount]['ReleaseDate'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Manufacturer")
	{
		$arxItems[$itemCount]['Manufacturer'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Model")
	{
	$arxItems[$itemCount]['Model'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MPN")
	{
	$arxItems[$itemCount]['MPN'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NumberOfItems")
	{
		$arxItems[$itemCount]['NumberOfItems'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Author")
	{
		$arxItems[$itemCount]['Author'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Creator")
	{
		$arxItems[$itemCount]['Creator'][] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['CreatorAttributes']['Role'][] = $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Title")
	{
		$arxItems[$itemCount]['Title'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ProductGroup")
	{
		$arxItems[$itemCount]['ProductGroup'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^UPC")
	{
		$arxItems[$itemCount]['UPC'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Height")
	{
		$arxItems[$itemCount]['Height'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['HeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Length")
	{
		$arxItems[$itemCount]['Length'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['LengthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Weight")
	{
		$arxItems[$itemCount]['Weight'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['WeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Width")
	{
		$arxItems[$itemCount]['Width'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['WidthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Tracks^Disc")
	{
		$arxItems[$itemCount]['Disc'][] .= 'Add another disc';

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['DiscNumber']['Number'][] .= $el[2][$key];
				$curDisc = $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Tracks^Disc^Track")
	{
		$arxItems[$itemCount]['DiscTrackName'][$curDisc][] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['DiscTrackNumber'][$curDisc]['Number'][] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Actor")
	{
		$arxItems[$itemCount]['Actor'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^AspectRatio")
	{
		$arxItems[$itemCount]['AspectRatio'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^AudienceRating")
	{
		$arxItems[$itemCount]['AudienceRating'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^AudioFormat")
	{
		$arxItems[$itemCount]['AudioFormat'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Director")
	{
		$arxItems[$itemCount]['Director'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^DVDLayers")
	{
		$arxItems[$itemCount]['DVDLayers'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^DVDSides")
	{
		$arxItems[$itemCount]['DVDSides'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PictureFormat")
	{
		$arxItems[$itemCount]['PictureFormat'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^RegionCode")
	{
		$arxItems[$itemCount]['RegionCode'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^RunningTime")
	{
		$arxItems[$itemCount]['RunningTime'] .= $el[1];
        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['RunningTimeAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Studio")
	{
		$arxItems[$itemCount]['Studio'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TheatricalReleaseDate")
	{
		$arxItems[$itemCount]['TheatricalReleaseDate'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Languages^Language^Name")
	{
		$arxItems[$itemCount]['LanguageName'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Languages^Language^Type")
	{
		$arxItems[$itemCount]['LanguageType'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Languages^Language^AudioFormat")
	{
		$arxItems[$itemCount]['LanguageAudioFormat'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Language")
	{
		$arxItems[$itemCount]['Language'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^AmazonMaximumAge")
	{
		$arxItems[$itemCount]['AmazonMaximumAge'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^AmazonMinimumAge")
	{
		$arxItems[$itemCount]['AmazonMinimumAge'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Batteries")
	{
		$arxItems[$itemCount]['Batteries'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ManufacturerMaximumAge")
	{
		$arxItems[$itemCount]['ManufacturerMaximumAge'] .= $el[1];
        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['ManufacturerMaximumAgeAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ManufacturerMinimumAge")
	{
		$arxItems[$itemCount]['ManufacturerMinimumAge'] .= $el[1];
        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['ManufacturerMinimumAgeAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Brand")
	{
		$arxItems[$itemCount]['Brand'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ClothingSize")
	{
		$arxItems[$itemCount]['ClothingSize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Color")
	{
		$arxItems[$itemCount]['Color'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Department")
	{
		$arxItems[$itemCount]['Department'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^FabricType")
	{
		$arxItems[$itemCount]['FabricType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaximumWeightRecommendation")
	{
		$arxItems[$itemCount]['MaximumWeightRecommendation'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^VariationDescription")
	{
		$arxItems[$itemCount]['VariationDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^BatteryType")
	{
		$arxItems[$itemCount]['BatteryType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^CaseType")
	{
		$arxItems[$itemCount]['CaseType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^CDRWDescription")
	{
		$arxItems[$itemCount]['CDRWDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ComputerHardwareType")
	{
		$arxItems[$itemCount]['ComputerHardwareType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^CPUManufacturer")
	{
		$arxItems[$itemCount]['CPUManufacturer'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^CPUSpeed")
	{
		$arxItems[$itemCount]['CPUSpeed'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^CPUType")
	{
		$arxItems[$itemCount]['CPUType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^DVDRWDescription")
	{
		$arxItems[$itemCount]['DVDRWDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ExternalDisplaySupportDescription")
	{
		$arxItems[$itemCount]['ExternalDisplaySupportDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^FloppyDiskDriveDescription")
	{
		$arxItems[$itemCount]['FloppyDiskDriveDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^GraphicsCardInterface")
	{
		$arxItems[$itemCount]['GraphicsCardInterface'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^GraphicsDescription")
	{
		$arxItems[$itemCount]['GraphicsDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^GraphicsMemorySize")
	{
		$arxItems[$itemCount]['GraphicsMemorySize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^HardDiskCount")
	{
		$arxItems[$itemCount]['HardDiskCount'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^HardDiskSize")
	{
		$arxItems[$itemCount]['HardDiskSize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^IncludedSoftware")
	{
		$arxItems[$itemCount]['IncludedSoftware'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^KeyboardDescription")
	{
		$arxItems[$itemCount]['KeyboardDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^LineVoltage")
	{
		$arxItems[$itemCount]['LineVoltage'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ManufacturerLaborWarrantyDescription")
	{
		$arxItems[$itemCount]['ManufacturerLaborWarrantyDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ManufacturerPartsWarrantyDescription")
	{
		$arxItems[$itemCount]['ManufacturerPartsWarrantyDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaximumColorDepth")
	{
		$arxItems[$itemCount]['MaximumColorDepth'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MemorySlotsAvailable")
	{
		$arxItems[$itemCount]['MemorySlotsAvailable'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ModemDescription")
	{
		$arxItems[$itemCount]['ModemDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MonitorSize")
	{
		$arxItems[$itemCount]['MonitorSize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MonitorViewableDiagonalSize")
	{
		$arxItems[$itemCount]['MonitorViewableDiagonalSize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MouseDescription")
	{
		$arxItems[$itemCount]['MouseDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NativeResolution")
	{
		$arxItems[$itemCount]['NativeResolution'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NetworkInterfaceDescription")
	{
		$arxItems[$itemCount]['NetworkInterfaceDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NotebookDisplayTechnology")
	{
		$arxItems[$itemCount]['NotebookDisplayTechnology'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NotebookPointingDeviceDescription")
	{
		$arxItems[$itemCount]['NotebookPointingDeviceDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Platform")
	{
		$arxItems[$itemCount]['Platform'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ProcessorCount")
	{
		$arxItems[$itemCount]['ProcessorCount'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SecondaryCacheSize")
	{
		$arxItems[$itemCount]['SecondaryCacheSize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SoundCardDescription")
	{
		$arxItems[$itemCount]['SoundCardDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SpeakerDescription")
	{
		$arxItems[$itemCount]['SpeakerDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SpecialFeatures")
	{
		$arxItems[$itemCount]['SpecialFeatures'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SystemBusSpeed")
	{
		$arxItems[$itemCount]['SystemBusSpeed'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SystemMemorySize")
	{
		$arxItems[$itemCount]['SystemMemorySize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SystemMemorySizeMax")
	{
		$arxItems[$itemCount]['SystemMemorySizeMax'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SystemMemoryType")
	{
		$arxItems[$itemCount]['SystemMemoryType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalFirewirePorts")
	{
		$arxItems[$itemCount]['TotalFirewirePorts'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalExternalBaysFree")
	{
		$arxItems[$itemCount]['TotalExternalBaysFree'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalInternalBaysFree")
	{
		$arxItems[$itemCount]['TotalInternalBaysFree'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalNTSCPalPorts")
	{
		$arxItems[$itemCount]['TotalNTSCPalPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalParallelPorts")
	{
		$arxItems[$itemCount]['TotalParallelPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalPCCardSlots")
	{
		$arxItems[$itemCount]['TotalPCCardSlots'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalSerialPorts")
	{
		$arxItems[$itemCount]['TotalSerialPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalPCISlotsFree")
	{
		$arxItems[$itemCount]['TotalPCISlotsFree'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalSVideoOutPorts")
	{
		$arxItems[$itemCount]['TotalSVideoOutPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalUSBPorts")
	{
		$arxItems[$itemCount]['TotalUSBPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalUSB2Ports")
	{
		$arxItems[$itemCount]['TotalUSB2Ports'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalVGAOutPorts")
	{
		$arxItems[$itemCount]['TotalVGAOutPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ESRBAgeRating")
	{
		$arxItems[$itemCount]['ESRBAgeRating'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^BatteriesIncluded")
	{
		$arxItems[$itemCount]['BatteriesIncluded'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^VariationDenomination")
	{
		$arxItems[$itemCount]['VariationDenomination'] .= $el[1];
	}

	//
	// US & DE only - uncomment this section for those locales
	//

	/*
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ApertureModes")
	{
		$arxItems[$itemCount]['ApertureModes'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^BatteryDescription")
	{
		$arxItems[$itemCount]['BatteryDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^CameraManualFeatures")
	{
		$arxItems[$itemCount]['BatteryDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Compatibility")
	{
		$arxItems[$itemCount]['Compatibility'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ComputerPlatform")
	{
		$arxItems[$itemCount]['ComputerPlatform'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Connectivity")
	{
		$arxItems[$itemCount]['Connectivity'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ContinuousShootingSpeed")
	{
		$arxItems[$itemCount]['ContinuousShootingSpeed'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^DelayBetweenShots")
	{
		$arxItems[$itemCount]['DelayBetweenShots'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^DigitalZoom")
	{
		$arxItems[$itemCount]['DigitalZoom'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^DisplaySize")
	{
	$arxItems[$itemCount]['DisplaySize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^HasAutoFocus")
	{
		$arxItems[$itemCount]['HasAutoFocus'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^HasSelfTimer")
	{
		$arxItems[$itemCount]['HasSelfTimer'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^HasBurstMode")
	{
		$arxItems[$itemCount]['HasBurstMode'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^HasInCameraEditing")
	{
		$arxItems[$itemCount]['HasInCameraEditing'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^HasVideoOut")
	{
		$arxItems[$itemCount]['HasVideoOut'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^HasViewfinder")
	{
		$arxItems[$itemCount]['HasViewfinder'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^HasRedEyeReduction")
	{
		$arxItems[$itemCount]['HasRedEyeReduction'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^HasTripodMount")
	{
		$arxItems[$itemCount]['HasTripodMount'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ImageType")
	{
		$arxItems[$itemCount]['ImageType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^IncludesMp3Player")
	{
		$arxItems[$itemCount]['IncludesMp3Player'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ISOEquivalent")
	{
		$arxItems[$itemCount]['ISOEquivalent'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MacroFocusRange")
	{
		$arxItems[$itemCount]['MacroFocusRange'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaximumAperture")
	{
		$arxItems[$itemCount]['MaximumAperture'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaximumFocalLength")
	{
		$arxItems[$itemCount]['MaximumFocalLength'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaximumHighResolutionImages")
	{
		$arxItems[$itemCount]['MaximumHighResolutionImages'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaximumHorizontalResolution")
	{
		$arxItems[$itemCount]['MaximumHorizontalResolution'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaximumLowResolutionImages")
	{
		$arxItems[$itemCount]['MaximumLowResolutionImages'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaximumResolution")
	{
		$arxItems[$itemCount]['MaximumResolution'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaximumShutterSpeed")
	{
		$arxItems[$itemCount]['MaximumShutterSpeed'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaximumVerticalResolution")
	{
		$arxItems[$itemCount]['MaximumVerticalResolution'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MiniMovieDescription")
	{
		$arxItems[$itemCount]['MiniMovieDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MinimumFocalLength")
	{
		$arxItems[$itemCount]['MinimumFocalLength'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MinimumShutterSpeed")
	{
		$arxItems[$itemCount]['MinimumShutterSpeed'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NumberOfRapidFireShots")
	{
		$arxItems[$itemCount]['NumberOfRapidFireShots'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^OpticalZoom")
	{
		$arxItems[$itemCount]['OpticalZoom'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PhotoFlashType")
	{
		$arxItems[$itemCount]['PhotoFlashType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^RemovableMemory")
	{
		$arxItems[$itemCount]['RemovableMemory'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ResolutionModes")
	{
		$arxItems[$itemCount]['ResolutionModes'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SystemMemorySize")
	{
		$arxItems[$itemCount]['SystemMemorySize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Warranty")
	{
		$arxItems[$itemCount]['Warranty'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^FirstIssueLeadTime")
	{
		$arxItems[$itemCount]['FirstIssueLeadTime'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^IssuesPerYear")
	{
		$arxItems[$itemCount]['IssuesPerYear'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MagazineType")
	{
		$arxItems[$itemCount]['MagazineType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NumberOfIssues")
	{
		$arxItems[$itemCount]['NumberOfIssues'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SubscriptionLength")
	{
		$arxItems[$itemCount]['SubscriptionLength'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^IsAutographed")
	{
		$arxItems[$itemCount]['IsAutographed'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^IsMemorabilia")
	{
		$arxItems[$itemCount]['IsMemorabilia'] .= $el[1];
	}
	*/

	//
	// End US & DE specific Attributes
	//

	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^IsFragile")
	{
		$arxItems[$itemCount]['IsFragile'] .= $el[1];
	}

	//
	// Jewelry US only - uncomment this section for those locales
	//

	/*
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^BackFinding")
	{
		$arxItems[$itemCount]['BackFinding'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^BandMaterialType")
	{
		$arxItems[$itemCount]['BandMaterialType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^BezelMaterialType")
	{
		$arxItems[$itemCount]['BezelMaterialType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^CalendarType")
	{
		$arxItems[$itemCount]['CalendarType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^CaseDiameter")
	{
		$arxItems[$itemCount]['CaseDiameter'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^CaseMaterialType")
	{
		$arxItems[$itemCount]['CaseMaterialType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^CaseThickness")
	{
		$arxItems[$itemCount]['CaseThickness'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ChainType")
	{
		$arxItems[$itemCount]['ChainType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^ClaspType")
	{
		$arxItems[$itemCount]['ClaspType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^DialColor")
	{
		$arxItems[$itemCount]['DialColor'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^DialWindowMaterialType")
	{
		$arxItems[$itemCount]['DialWindowMaterialType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^GemType")
	{
		$arxItems[$itemCount]['GemType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^IsLabCreated")
	{
		$arxItems[$itemCount]['IsLabCreated'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^LegalDisclaimer")
	{
		$arxItems[$itemCount]['LegalDisclaimer'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MaterialType")
	{
		$arxItems[$itemCount]['MaterialType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MetalStamp")
	{
		$arxItems[$itemCount]['MetalStamp'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^MetalType")
	{
		$arxItems[$itemCount]['MetalType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NumberOfPearls")
	{
		$arxItems[$itemCount]['NumberOfPearls'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^NumberOfStones")
	{
		$arxItems[$itemCount]['NumberOfStones'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PearlLustre")
	{
		$arxItems[$itemCount]['PearlLustre'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PearlMinimumColor")
	{
		$arxItems[$itemCount]['PearlMinimumColor'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PearlShape")
	{
		$arxItems[$itemCount]['PearlShape'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PearlStringingMethod")
	{
		$arxItems[$itemCount]['PearlStringingMethod'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PearlSurfaceBlemishes")
	{
		$arxItems[$itemCount]['PearlSurfaceBlemishes'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PearlType")
	{
		$arxItems[$itemCount]['PearlType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PearlUniformity")
	{
		$arxItems[$itemCount]['PearlUniformity'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^RingSize")
	{
		$arxItems[$itemCount]['RingSize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SettingType")
	{
		$arxItems[$itemCount]['SettingType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^SizePerPearl")
	{
		$arxItems[$itemCount]['SizePerPearl'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^StoneClarity")
	{
		$arxItems[$itemCount]['StoneClarity'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^StoneColor")
	{
		$arxItems[$itemCount]['StoneColor'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^StoneCut")
	{
		$arxItems[$itemCount]['StoneCut'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^StoneShape")
	{
		$arxItems[$itemCount]['StoneShape'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^StoneWeight")
	{
		$arxItems[$itemCount]['StoneWeight'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalDiamondWeight")
	{
		$arxItems[$itemCount]['TotalDiamondWeight'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalGemWeight")
	{
		$arxItems[$itemCount]['TotalGemWeight'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^TotalMetalWeight")
	{
		$arxItems[$itemCount]['TotalMetalWeight'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^WatchMovementType")
	{
		$arxItems[$itemCount]['WatchMovementType'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^WaterResistanceDepth")
	{
		$arxItems[$itemCount]['WaterResistanceDepth'] .= $el[1];
	}

	//
	// END Jewelry US only
	// Gourmet & cuisine US only - uncomment this section if you want this store
	//

	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Country")
	{
		$arxItems[$itemCount]['Country'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Ingredients")
	{
		$arxItems[$itemCount]['Ingredients'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Address")
	{
		$arxItems[$itemCount]['Address'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Cuisine")
	{
		$arxItems[$itemCount]['Cuisine'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^Neighborhood")
	{
		$arxItems[$itemCount]['Neighborhood'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PhoneNumber")
	{
		$arxItems[$itemCount]['PhoneNumber'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^FaxNumber")
	{
		$arxItems[$itemCount]['FaxNumber'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ItemAttributes^PriceRating")
	{
		$arxItems[$itemCount]['PriceRating'] .= $el[1];
	}

	//
	// END Gourmet & cuisine US only
	// Variations US only INCOMPLETE - uncomment this section to this locale. For apparel and sporting goods mostly
	//

	if ($el[0] == "^ItemSearchResponse^Items^Item^VariationSummary^LowestPrice^Amount")
	{
		$arxItems[$itemCount]['VarLowPriceAmount'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^VariationSummary^LowestPrice^CurrencyCode")
	{
		$arxItems[$itemCount]['VarLowPriceCurrency'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^VariationSummary^LowestPrice^FormattedPrice")
	{
		$arxItems[$itemCount]['VarLowPriceFomatted'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^VariationSummary^HighestPrice^Amount")
	{
		$arxItems[$itemCount]['VarHiPriceAmount'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^VariationSummary^HighestPrice^CurrencyCode")
	{
		$arxItems[$itemCount]['VarHiPriceCurrency'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^VariationSummary^HighestPrice^FormattedPrice")
	{
		$arxItems[$itemCount]['VarHiPriceFomatted'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Variations^TotalVariations")
	{
		$arxItems[$itemCount]['TotalVariations'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Variations^TotalVariationPages")
	{
		$arxItems[$itemCount]['TotalVariationPages'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Variations^Item^ASIN")
	{
		$arxItems[$itemCount]['VariationASIN'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Variations^Item^ItemAttributes^Brand")
	{
		$arxItems[$itemCount]['VariationBrand'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Variations^Item^ItemAttributes^ClothingSize")
	{
		$arxItems[$itemCount]['VariationClothingSize'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Variations^Item^ItemAttributes^Color")
	{
		$arxItems[$itemCount]['VariationColor'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Variations^Item^ItemAttributes^Department")
	{
		$arxItems[$itemCount]['VariationDepartment'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Variations^Item^ItemAttributes^Feature")
	{
		$arxItems[$itemCount]['VariationFeature'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Variations^Item^ItemAttributes^Title")
	{
		$arxItems[$itemCount]['VariationTitle'] .= html_entity_decode($el[1]);
	}

	*/

	//
	// END Variations - US only - INCOMPLETE
	//

	if ($el[0] == "^ItemSearchResponse^Items^Item^OfferSummary^LowestNewPrice^Amount")
	{
		$arxItems[$itemCount]['LowestNewPriceAmount'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^OfferSummary^LowestNewPrice^CurrencyCode")
	{
		$arxItems[$itemCount]['LowestNewPriceCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^OfferSummary^LowestNewPrice^FormattedPrice")
	{
		$arxItems[$itemCount]['LowestNewPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^OfferSummary^TotalNew")
	{
		$arxItems[$itemCount]['TotalNew'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^OfferSummary^TotalUsed")
	{
		$arxItems[$itemCount]['TotalUsed'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^OfferSummary^TotalCollectible")
	{
		$arxItems[$itemCount]['TotalCollectible'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^OfferSummary^TotalRefurbished")
	{
		$arxItems[$itemCount]['TotalRefurbished'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Offers^TotalOffers")
	{
		$arxItems[$itemCount]['TotalOffers'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Offers^TotalOfferPages")
	{
		$arxItems[$itemCount]['TotalOfferPages'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Offers^Offer^Merchant^MerchantId")
	{
		$arxItems[$itemCount]['MerchantId'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Offers^Offer^Merchant^GlancePage")
	{
		$arxItems[$itemCount]['MerchantGlancePage'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Offers^Offer^OfferAttributes^Condition")
	{
		$arxItems[$itemCount]['OfferCondition'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Offers^Offer^OfferListing^OfferListingId")
	{
		$arxItems[$itemCount]['OfferListingId'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Offers^Offer^OfferListing^Price^Amount")
	{
		$arxItems[$itemCount]['OfferListingPriceAmount'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Offers^Offer^OfferListing^Price^CurrencyCode")
	{
		$arxItems[$itemCount]['OfferListingCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Offers^Offer^OfferListing^Price^FormattedPrice")
	{
		$arxItems[$itemCount]['OfferListingFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Offers^Offer^OfferListing^Availability")
	{

		$arxItems[$itemCount]['OfferListingAvailability'] .= str_replace("dispatched", "despatched", $el[1]);
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^EditorialReviews^EditorialReview^Source")
	{
		$arxItems[$itemCount]['EditorialSource'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^EditorialReviews^EditorialReview^Content")
	{
		$arxItems[$itemCount]['EditorialContent'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^SimilarProducts^SimilarProduct^ASIN")
	{
		$arxItems[$itemCount]['SimilarProductASIN'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^SimilarProducts^SimilarProduct^Title")
	{
		$arxItems[$itemCount]['SimilarProductTitle'][] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Accessories^Accessory^ASIN")
	{
		$arxItems[$itemCount]['AccessoriesASIN'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^Accessories^Accessory^Title")
	{
		$arxItems[$itemCount]['AccessoriesTitle'][] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^BrowseNodes^BrowseNode^BrowseNodeId")
	{
		$arxItems[$itemCount]['BrowseNodeId'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^BrowseNodes^BrowseNode^Name")
	{
		$arxItems[$itemCount]['BrowseNodeName'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^BrowseNodes^BrowseNode^Children^BrowseNode^BrowseNodeId")
	{
		$arxItems[$itemCount]['BrowseNodeChildId'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^BrowseNodes^BrowseNode^Children^BrowseNode^Name")
	{
		$arxItems[$itemCount]['BrowseNodeChildName'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^BrowseNodes^BrowseNode^Ancestors^BrowseNode^BrowseNodeId")
	{
		$arxItems[$itemCount]['BrowseNodeAncestorId'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^BrowseNodes^BrowseNode^Ancestors^BrowseNode^Name")
	{
		$arxItems[$itemCount]['BrowseNodeAncestorName'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^ListmaniaLists^ListmaniaList^ListId")
	{
		$arxItems[$itemCount]['ListmaniaListListId'][] .= $el[1];
	}
	if ($el[0] ==  "^ItemSearchResponse^Items^Item^ListmaniaLists^ListmaniaList^ListName")
	{
		$arxItems[$itemCount]['ListmaniaListListName'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^CustomerReviews^AverageRating")
	{
		$arxItems[$itemCount]['CustomerReviewsAvRating'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^CustomerReviews^TotalReviews")
	{
		$arxItems[$itemCount]['CustomerReviewsTotal'] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^CustomerReviews^Review^Rating")
	{
		$arxItems[$itemCount]['CustomerReviewRating'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^CustomerReviews^Review^HelpfulVotes")
	{
		$arxItems[$itemCount]['CustomerReviewHelpfulVotes'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^CustomerReviews^Review^CustomerId")
	{
		$arxItems[$itemCount]['CustomerReviewCustomerId'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^CustomerReviews^Review^TotalVotes")
	{
		$arxItems[$itemCount]['CustomerReviewTotalVotes'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^CustomerReviews^Review^Date")
	{
		$arxItems[$itemCount]['CustomerReviewDate'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^CustomerReviews^Review^Summary")
	{
		$arxItems[$itemCount]['CustomerReviewSummary'][] .= $el[1];
	}
	if ($el[0] == "^ItemSearchResponse^Items^Item^CustomerReviews^Review^Content")
	{
		$arxItems[$itemCount]['CustomerReviewContent'][] .= $el[1];
	}
}
	//
	// End end_handler function for parseXML()
	//

function parseProdXML()
{
	global $escUrl;
	$open_stack = array();
	$parser = xml_parser_create();
	xml_set_element_handler($parser, "start_handler", "end_prod_handler");
	xml_set_character_data_handler($parser, "character_handler");
	xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
	xml_parse($parser, implode('', file($escUrl))) or die (format_error( $parser ));
	xml_parser_free($parser);
}

function end_prod_handler($p, $name)
{
	global $open_stack,$arxItems,$curName,$itemCount,$curDisc,$arxIndex, $debug;
	$seperatorPosition = strrpos($curName,'^');
	$curName = substr($curName,0,$seperatorPosition);

	$el = array_pop($open_stack);

	/*
    if ($debug =='1')
    {
	echo $el[0] . ': '; 				// element path
	echo $el[1] . '<br /><br />';	// element data
	//echo $el[2] . '<br /><br />';	// element attributes
    }
    */

	if ($el[0] == "^ItemLookupResponse^Items^Request^Errors^Error^Code")
	{
		$arxIndex['ErrorCode'] .= $el[1];
	}

	if ($el[0] == "^ItemLookupResponse^Items^Request^Errors^Error^Message")
	{
		$arxIndex['ErrorMessage'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item")
	{
		// begin product array loop
		$arxItems[$itemCount++];
    }

	// add items to product array
	if ($el[0] == "^ItemLookupResponse^Items^Request^ItemLookupRequest^ItemId")
	{
		$arxItems[$itemCount]['ItemId'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ASIN")
	{
		$arxItems[$itemCount]['ASIN'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^DetailPageURL")
	{
		$arxItems[$itemCount]['DetailPageURL'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^SalesRank")
	{
		$arxItems[$itemCount]['SalesRank'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^SmallImage^URL")
	{
		$arxItems[$itemCount]['SmallImageURL'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^SmallImage^Height")
	{
		$arxItems[$itemCount]['SmallImageHeight'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['SmallImageHeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^SmallImage^Width")
	{
		$arxItems[$itemCount]['SmallImageWidth'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['SmallImageWidthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^SmallImage^URL")
	{
		$arxItems[$itemCount]['SmallImageURL'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^MediumImage^URL")
	{
		$arxItems[$itemCount]['MediumImageURL'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^MediumImage^Height")
	{
		$arxItems[$itemCount]['MediumImageHeight'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['MediumImageHeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^MediumImage^Width")
	{
		$arxItems[$itemCount]['MediumImageWidth'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['MediumImageWidthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^LargeImage^URL")
	{
		$arxItems[$itemCount]['LargeImageURL'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^LargeImage^Height")
	{
		$arxItems[$itemCount]['LargeImageHeight'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['LargeImageHeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^LargeImage^Width")
	{
		$arxItems[$itemCount]['LargeImageWidth'] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['LargeImageWidthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ImageSets^ImageSet")
	{
		$arxItems[$itemCount]['ImageSet'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['ImageSetAttributes'][][$key] .= $el[2][$key];
			}
		}
	}

	if ($el[0] == "^ItemLookupResponse^Items^Item^ImageSets^ImageSet^SmallImage^URL")
	{
		$arxItems[$itemCount]['SmallImageSetURL'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ImageSets^ImageSet^SmallImage^Height")
	{
		$arxItems[$itemCount]['SmallImageSetHeight'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['SmallImageSetHeightAttributes'][$key][] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ImageSets^ImageSet^SmallImage^Width")
	{
		$arxItems[$itemCount]['SmallImageSetWidth'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['SmallImageSetWidthAttributes'][$key][] .= $el[2][$key];
			}
		}
	}


	if ($el[0] == "^ItemLookupResponse^Items^Item^ImageSets^ImageSet^MediumImage^URL")
	{
		$arxItems[$itemCount]['MediumImageSetURL'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ImageSets^ImageSet^MediumImage^Height")
	{
		$arxItems[$itemCount]['MediumImageSetHeight'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['MediumImageSetHeightAttributes'][$key][] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ImageSets^ImageSet^MediumImage^Width")
	{
		$arxItems[$itemCount]['MediumImageSetWidth'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['MediumImageSetWidthAttributes'][$key][] .= $el[2][$key];
			}
		}
	}

	if ($el[0] == "^ItemLookupResponse^Items^Item^ImageSets^ImageSet^LargeImage^URL")
	{
		$arxItems[$itemCount]['LargeImageSetURL'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ImageSets^ImageSet^LargeImage^Height")
	{
		$arxItems[$itemCount]['LargeImageSetHeight'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['LargeImageSetHeightAttributes'][$key][] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ImageSets^ImageSet^LargeImage^Width")
	{
		$arxItems[$itemCount]['LargeImageSetWidth'][] .= $el[1];

        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['LargeImageSetWidthAttributes'][$key][] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Feature")
	{
		$arxItems[$itemCount]['Feature'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ListPrice^Amount")
	{
		$arxItems[$itemCount]['ListPriceAmount'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ListPrice^CurrencyCode")
	{
		$arxItems[$itemCount]['ListPriceCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ListPrice^FormattedPrice")
	{
		$arxItems[$itemCount]['ListPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^EAN")
	{
		$arxItems[$itemCount]['EAN'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Binding")
	{
		$arxItems[$itemCount]['Binding'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^DeweyDecimalNumber")
	{
		$arxItems[$itemCount]['DeweyDecimalNumber'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ISBN")
	{
		$arxItems[$itemCount]['ISBN'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NumberOfPages")
	{
		$arxItems[$itemCount]['NumberOfPages'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PublicationDate")
	{
		$arxItems[$itemCount]['PublicationDate'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Publisher")
	{
		$arxItems[$itemCount]['Publisher'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ReadingLevel")
	{
		$arxItems[$itemCount]['ReadingLevel'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Artist")
	{
		$arxItems[$itemCount]['Artist'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Format")
	{
		$arxItems[$itemCount]['Format'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Label")
	{
		$arxItems[$itemCount]['Label'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NumberOfTracks")
	{
		$arxItems[$itemCount]['NumberOfTracks'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NumberOfDiscs")
	{
		$arxItems[$itemCount]['NumberOfDiscs'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ReleaseDate")
	{
		$arxItems[$itemCount]['ReleaseDate'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Manufacturer")
	{
		$arxItems[$itemCount]['Manufacturer'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Model")
	{
		$arxItems[$itemCount]['Model'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MPN")
	{
	$arxItems[$itemCount]['MPN'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NumberOfItems")
	{
		$arxItems[$itemCount]['NumberOfItems'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Author")
	{
		$arxItems[$itemCount]['Author'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Creator")
	{
		$arxItems[$itemCount]['Creator'][] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['CreatorAttributes']['Role'][] = $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Title")
	{
		$arxItems[$itemCount]['Title'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ProductGroup")
	{
		$arxItems[$itemCount]['ProductGroup'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^UPC")
	{
		$arxItems[$itemCount]['UPC'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Height")
	{
		$arxItems[$itemCount]['Height'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['HeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Length")
	{
		$arxItems[$itemCount]['Length'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['LengthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Weight")
	{
		$arxItems[$itemCount]['Weight'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['WeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Width")
	{
		$arxItems[$itemCount]['Width'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['WidthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Size")
	{
		$arxItems[$itemCount]['Size'] .= $el[1];
	}
/*
	if ($el[0] == "^ItemLookupResponse^Items^Item^Tracks^Disc")
	{
		$arxItems[$itemCount]['Disc'][] .= 'Add another disc';

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['DiscNumber'][] .= $el[2][$key];
				$curDisc = $el[2][$key];
			}
		}
	}
*/


	if ($el[0] == "^ItemLookupResponse^Items^Item^Tracks^Disc")
	{
		$arxItems[$itemCount]['Disc'][] .= 'Add another disc';

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['DiscNumber']['Number'][] .= $el[2][$key];
				$curDisc = $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Tracks^Disc^Track")
	{
		$arxItems[$itemCount]['DiscTrackName'][$curDisc][] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['DiscTrackNumber'][$curDisc]['Number'][] .= $el[2][$key];
			}
		}
	}












	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PackageDimensions^Height")
	{
		$arxItems[$itemCount]['PackageDimensionsHeight'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['PackageHeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PackageDimensions^Length")
	{
		$arxItems[$itemCount]['PackageDimensionsLength'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['PackageLengthAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PackageDimensions^Weight")
	{
		$arxItems[$itemCount]['PackageDimensionsWeight'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['PackageWeightAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PackageDimensions^Width")
	{
		$arxItems[$itemCount]['PackageDimensionsWidth'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['PackageWidthAttributes'][$key] .= $el[2][$key];
			}
		}
	}

	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Actor")
	{
		$arxItems[$itemCount]['Actor'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^AspectRatio")
	{
		$arxItems[$itemCount]['AspectRatio'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^AudienceRating")
	{
		$arxItems[$itemCount]['AudienceRating'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^AudioFormat")
	{
		$arxItems[$itemCount]['AudioFormat'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Director")
	{
		$arxItems[$itemCount]['Director'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^DVDLayers")
	{
		$arxItems[$itemCount]['DVDLayers'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^DVDSides")
	{
		$arxItems[$itemCount]['DVDSides'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PictureFormat")
	{
		$arxItems[$itemCount]['PictureFormat'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^RegionCode")
	{
		$arxItems[$itemCount]['RegionCode'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^RunningTime")
	{
		$arxItems[$itemCount]['RunningTime'] .= $el[1];

		if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['RunningTimeAttributes'][$key] .= $el[2][$key];
			}
		}
	}


	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Studio")
	{
		$arxItems[$itemCount]['Studio'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TheatricalReleaseDate")
	{
		$arxItems[$itemCount]['TheatricalReleaseDate'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Languages^Language^Name")
	{
		$arxItems[$itemCount]['LanguageName'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Languages^Language^Type")
	{
		$arxItems[$itemCount]['LanguageType'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Languages^Language^AudioFormat")
	{
		$arxItems[$itemCount]['LanguageAudioFormat'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Language")
	{
		$arxItems[$itemCount]['Language'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^AmazonMaximumAge")
	{
		$arxItems[$itemCount]['AmazonMaximumAge'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^AmazonMinimumAge")
	{
		$arxItems[$itemCount]['AmazonMinimumAge'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Batteries")
	{
		$arxItems[$itemCount]['Batteries'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ManufacturerMaximumAge")
	{
		$arxItems[$itemCount]['ManufacturerMaximumAge'] .= $el[1];
        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['ManufacturerMaximumAgeAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ManufacturerMinimumAge")
	{
		$arxItems[$itemCount]['ManufacturerMinimumAge'] .= $el[1];
        if($el[2])
		{
			foreach($el[2] as $key => $val)
			{
				$arxItems[$itemCount]['ManufacturerMinimumAgeAttributes'][$key] .= $el[2][$key];
			}
		}
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Brand")
	{
		$arxItems[$itemCount]['Brand'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ClothingSize")
	{
		$arxItems[$itemCount]['ClothingSize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Color")
	{
		$arxItems[$itemCount]['Color'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Department")
	{
		$arxItems[$itemCount]['Department'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^FabricType")
	{
		$arxItems[$itemCount]['FabricType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaximumWeightRecommendation")
	{
		$arxItems[$itemCount]['MaximumWeightRecommendation'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^VariationDescription")
	{
		$arxItems[$itemCount]['VariationDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^BatteryType")
	{
		$arxItems[$itemCount]['BatteryType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^CaseType")
	{
		$arxItems[$itemCount]['CaseType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^CDRWDescription")
	{
		$arxItems[$itemCount]['CDRWDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ComputerHardwareType")
	{
		$arxItems[$itemCount]['ComputerHardwareType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^CPUManufacturer")
	{
		$arxItems[$itemCount]['CPUManufacturer'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^CPUSpeed")
	{
		$arxItems[$itemCount]['CPUSpeed'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^CPUType")
	{
		$arxItems[$itemCount]['CPUType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^DVDRWDescription")
	{
		$arxItems[$itemCount]['DVDRWDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ExternalDisplaySupportDescription")
	{
		$arxItems[$itemCount]['ExternalDisplaySupportDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^FloppyDiskDriveDescription")
	{
		$arxItems[$itemCount]['FloppyDiskDriveDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^GraphicsCardInterface")
	{
		$arxItems[$itemCount]['GraphicsCardInterface'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^GraphicsDescription")
	{
		$arxItems[$itemCount]['GraphicsDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^GraphicsMemorySize")
	{
		$arxItems[$itemCount]['GraphicsMemorySize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^HardDiskCount")
	{
		$arxItems[$itemCount]['HardDiskCount'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^HardDiskSize")
	{
		$arxItems[$itemCount]['HardDiskSize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^IncludedSoftware")
	{
		$arxItems[$itemCount]['IncludedSoftware'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^KeyboardDescription")
	{
		$arxItems[$itemCount]['KeyboardDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^LineVoltage")
	{
		$arxItems[$itemCount]['LineVoltage'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ManufacturerLaborWarrantyDescription")
	{
		$arxItems[$itemCount]['ManufacturerLaborWarrantyDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ManufacturerPartsWarrantyDescription")
	{
		$arxItems[$itemCount]['ManufacturerPartsWarrantyDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaximumColorDepth")
	{
		$arxItems[$itemCount]['MaximumColorDepth'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MemorySlotsAvailable")
	{
		$arxItems[$itemCount]['MemorySlotsAvailable'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ModemDescription")
	{
		$arxItems[$itemCount]['ModemDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MonitorSize")
	{
		$arxItems[$itemCount]['MonitorSize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MonitorViewableDiagonalSize")
	{
		$arxItems[$itemCount]['MonitorViewableDiagonalSize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MouseDescription")
	{
		$arxItems[$itemCount]['MouseDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NativeResolution")
	{
		$arxItems[$itemCount]['NativeResolution'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NetworkInterfaceDescription")
	{
		$arxItems[$itemCount]['NetworkInterfaceDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NotebookDisplayTechnology")
	{
		$arxItems[$itemCount]['NotebookDisplayTechnology'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NotebookPointingDeviceDescription")
	{
		$arxItems[$itemCount]['NotebookPointingDeviceDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Platform")
	{
	$arxItems[$itemCount]['Platform'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ProcessorCount")
	{
		$arxItems[$itemCount]['ProcessorCount'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SecondaryCacheSize")
	{
		$arxItems[$itemCount]['SecondaryCacheSize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SoundCardDescription")
	{
		$arxItems[$itemCount]['SoundCardDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SpeakerDescription")
	{
		$arxItems[$itemCount]['SpeakerDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SpecialFeatures")
	{
		$arxItems[$itemCount]['SpecialFeatures'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SystemBusSpeed")
	{
		$arxItems[$itemCount]['SystemBusSpeed'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SystemMemorySize")
	{
		$arxItems[$itemCount]['SystemMemorySize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SystemMemorySizeMax")
	{
		$arxItems[$itemCount]['SystemMemorySizeMax'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SystemMemoryType")
	{
		$arxItems[$itemCount]['SystemMemoryType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalFirewirePorts")
	{
		$arxItems[$itemCount]['TotalFirewirePorts'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalExternalBaysFree")
	{
		$arxItems[$itemCount]['TotalExternalBaysFree'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalInternalBaysFree")
	{
		$arxItems[$itemCount]['TotalInternalBaysFree'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalNTSCPalPorts")
	{
		$arxItems[$itemCount]['TotalNTSCPalPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalParallelPorts")
	{
		$arxItems[$itemCount]['TotalParallelPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalPCCardSlots")
	{
		$arxItems[$itemCount]['TotalPCCardSlots'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalSerialPorts")
	{
		$arxItems[$itemCount]['TotalSerialPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalPCISlotsFree")
	{
		$arxItems[$itemCount]['TotalPCISlotsFree'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalSVideoOutPorts")
	{
		$arxItems[$itemCount]['TotalSVideoOutPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalUSBPorts")
	{
		$arxItems[$itemCount]['TotalUSBPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalUSB2Ports")
	{
		$arxItems[$itemCount]['TotalUSB2Ports'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalVGAOutPorts")
	{
		$arxItems[$itemCount]['TotalVGAOutPorts'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ESRBAgeRating")
	{
		$arxItems[$itemCount]['ESRBAgeRating'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^BatteriesIncluded")
	{
		$arxItems[$itemCount]['BatteriesIncluded'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^VariationDenomination")
	{
		$arxItems[$itemCount]['VariationDenomination'] .= $el[1];
	}

	// US & DE only - uncomment this section for those locales
	/*
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ApertureModes")
	{
		$arxItems[$itemCount]['ApertureModes'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^BatteryDescription")
	{
		$arxItems[$itemCount]['BatteryDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^CameraManualFeatures")
	{
		$arxItems[$itemCount]['BatteryDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Compatibility")
	{
		$arxItems[$itemCount]['Compatibility'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ComputerPlatform")
	{
		$arxItems[$itemCount]['ComputerPlatform'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Connectivity")
	{
		$arxItems[$itemCount]['Connectivity'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ContinuousShootingSpeed")
	{
		$arxItems[$itemCount]['ContinuousShootingSpeed'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^DelayBetweenShots")
	{
		$arxItems[$itemCount]['DelayBetweenShots'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^DigitalZoom")
	{
		$arxItems[$itemCount]['DigitalZoom'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^DisplaySize")
	{
	$arxItems[$itemCount]['DisplaySize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^HasAutoFocus")
	{
		$arxItems[$itemCount]['HasAutoFocus'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^HasSelfTimer")
	{
		$arxItems[$itemCount]['HasSelfTimer'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^HasBurstMode")
	{
		$arxItems[$itemCount]['HasBurstMode'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^HasInCameraEditing")
	{
		$arxItems[$itemCount]['HasInCameraEditing'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^HasVideoOut")
	{
		$arxItems[$itemCount]['HasVideoOut'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^HasViewfinder")
	{
		$arxItems[$itemCount]['HasViewfinder'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^HasRedEyeReduction")
	{
		$arxItems[$itemCount]['HasRedEyeReduction'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^HasTripodMount")
	{
		$arxItems[$itemCount]['HasTripodMount'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ImageType")
	{
		$arxItems[$itemCount]['ImageType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^IncludesMp3Player")
	{
		$arxItems[$itemCount]['IncludesMp3Player'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ISOEquivalent")
	{
		$arxItems[$itemCount]['ISOEquivalent'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MacroFocusRange")
	{
		$arxItems[$itemCount]['MacroFocusRange'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaximumAperture")
	{
		$arxItems[$itemCount]['MaximumAperture'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaximumFocalLength")
	{
		$arxItems[$itemCount]['MaximumFocalLength'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaximumHighResolutionImages")
	{
		$arxItems[$itemCount]['MaximumHighResolutionImages'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaximumHorizontalResolution")
	{
		$arxItems[$itemCount]['MaximumHorizontalResolution'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaximumLowResolutionImages")
	{
		$arxItems[$itemCount]['MaximumLowResolutionImages'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaximumResolution")
	{
		$arxItems[$itemCount]['MaximumResolution'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaximumShutterSpeed")
	{
		$arxItems[$itemCount]['MaximumShutterSpeed'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaximumVerticalResolution")
	{
		$arxItems[$itemCount]['MaximumVerticalResolution'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MiniMovieDescription")
	{
		$arxItems[$itemCount]['MiniMovieDescription'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MinimumFocalLength")
	{
		$arxItems[$itemCount]['MinimumFocalLength'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MinimumShutterSpeed")
	{
		$arxItems[$itemCount]['MinimumShutterSpeed'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NumberOfRapidFireShots")
	{
		$arxItems[$itemCount]['NumberOfRapidFireShots'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^OpticalZoom")
	{
		$arxItems[$itemCount]['OpticalZoom'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PhotoFlashType")
	{
		$arxItems[$itemCount]['PhotoFlashType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^RemovableMemory")
	{
		$arxItems[$itemCount]['RemovableMemory'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ResolutionModes")
	{
		$arxItems[$itemCount]['ResolutionModes'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SystemMemorySize")
	{
		$arxItems[$itemCount]['SystemMemorySize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Warranty")
	{
		$arxItems[$itemCount]['Warranty'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^FirstIssueLeadTime")
	{
		$arxItems[$itemCount]['FirstIssueLeadTime'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^IssuesPerYear")
	{
		$arxItems[$itemCount]['IssuesPerYear'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MagazineType")
	{
		$arxItems[$itemCount]['MagazineType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NumberOfIssues")
	{
		$arxItems[$itemCount]['NumberOfIssues'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SubscriptionLength")
	{
		$arxItems[$itemCount]['SubscriptionLength'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^IsAutographed")
	{
		$arxItems[$itemCount]['IsAutographed'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^IsMemorabilia")
	{
		$arxItems[$itemCount]['IsMemorabilia'] .= $el[1];
	}
	*/
	// End US & DE specific elements

	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^IsFragile")
	{
		$arxItems[$itemCount]['IsFragile'] .= $el[1];
	}
	// Jewelry US only - uncomment this section for those locales
	/*
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^BackFinding")
	{
		$arxItems[$itemCount]['BackFinding'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^BandMaterialType")
	{
		$arxItems[$itemCount]['BandMaterialType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^BezelMaterialType")
	{
		$arxItems[$itemCount]['BezelMaterialType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^CalendarType")
	{
		$arxItems[$itemCount]['CalendarType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^CaseDiameter")
	{
		$arxItems[$itemCount]['CaseDiameter'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^CaseMaterialType")
	{
		$arxItems[$itemCount]['CaseMaterialType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^CaseThickness")
	{
		$arxItems[$itemCount]['CaseThickness'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ChainType")
	{
		$arxItems[$itemCount]['ChainType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^ClaspType")
	{
		$arxItems[$itemCount]['ClaspType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^DialColor")
	{
		$arxItems[$itemCount]['DialColor'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^DialWindowMaterialType")
	{
		$arxItems[$itemCount]['DialWindowMaterialType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^GemType")
	{
		$arxItems[$itemCount]['GemType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^IsLabCreated")
	{
		$arxItems[$itemCount]['IsLabCreated'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^LegalDisclaimer")
	{
		$arxItems[$itemCount]['LegalDisclaimer'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MaterialType")
	{
		$arxItems[$itemCount]['MaterialType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MetalStamp")
	{
		$arxItems[$itemCount]['MetalStamp'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^MetalType")
	{
		$arxItems[$itemCount]['MetalType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NumberOfPearls")
	{
		$arxItems[$itemCount]['NumberOfPearls'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^NumberOfStones")
	{
		$arxItems[$itemCount]['NumberOfStones'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PearlLustre")
	{
		$arxItems[$itemCount]['PearlLustre'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PearlMinimumColor")
	{
		$arxItems[$itemCount]['PearlMinimumColor'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PearlShape")
	{
		$arxItems[$itemCount]['PearlShape'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PearlStringingMethod")
	{
		$arxItems[$itemCount]['PearlStringingMethod'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PearlSurfaceBlemishes")
	{
	$arxItems[$itemCount]['PearlSurfaceBlemishes'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PearlType")
	{
		$arxItems[$itemCount]['PearlType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PearlUniformity")
	{
		$arxItems[$itemCount]['PearlUniformity'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^RingSize")
	{
		$arxItems[$itemCount]['RingSize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SettingType")
	{
		$arxItems[$itemCount]['SettingType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^SizePerPearl")
	{
		$arxItems[$itemCount]['SizePerPearl'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^StoneClarity")
	{
		$arxItems[$itemCount]['StoneClarity'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^StoneColor")
	{
		$arxItems[$itemCount]['StoneColor'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^StoneCut")
	{
		$arxItems[$itemCount]['StoneCut'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^StoneShape")
	{
		$arxItems[$itemCount]['StoneShape'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^StoneWeight")
	{
		$arxItems[$itemCount]['StoneWeight'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalDiamondWeight")
	{
		$arxItems[$itemCount]['TotalDiamondWeight'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalGemWeight")
	{
		$arxItems[$itemCount]['TotalGemWeight'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^TotalMetalWeight")
	{
		$arxItems[$itemCount]['TotalMetalWeight'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^WatchMovementType")
	{
		$arxItems[$itemCount]['WatchMovementType'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^WaterResistanceDepth")
	{
		$arxItems[$itemCount]['WaterResistanceDepth'] .= $el[1];
	}
	*/
	// END Jewelry US only
	// Gourmet & cuisine US only - uncomment this section if you want this store
	/*
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Country")
	{
		$arxItems[$itemCount]['Country'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Ingredients")
	{
		$arxItems[$itemCount]['Ingredients'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Address")
	{
		$arxItems[$itemCount]['Address'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Cuisine")
	{
		$arxItems[$itemCount]['Cuisine'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^Neighborhood")
	{
		$arxItems[$itemCount]['Neighborhood'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PhoneNumber")
	{
		$arxItems[$itemCount]['PhoneNumber'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^FaxNumber")
	{
		$arxItems[$itemCount]['FaxNumber'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ItemAttributes^PriceRating")
	{
		$arxItems[$itemCount]['PriceRating'] .= $el[1];
	}
	*/
	// END Gourmet & cuisine US only

	// Variations US only INCOMPLETE - uncomment this section to this locale. For apparel and sporting goods mostly
	/*
	if ($el[0] == "^ItemLookupResponse^Items^Item^VariationSummary^LowestPrice^Amount")
	{
		$arxItems[$itemCount]['VarLowPriceAmount'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^VariationSummary^LowestPrice^CurrencyCode")
	{
		$arxItems[$itemCount]['VarLowPriceCurrency'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^VariationSummary^LowestPrice^FormattedPrice")
	{
		$arxItems[$itemCount]['VarLowPriceFomatted'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^VariationSummary^HighestPrice^Amount")
	{
		$arxItems[$itemCount]['VarHiPriceAmount'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^VariationSummary^HighestPrice^CurrencyCode")
	{
		$arxItems[$itemCount]['VarHiPriceCurrency'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^VariationSummary^HighestPrice^FormattedPrice")
	{
		$arxItems[$itemCount]['VarHiPriceFomatted'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Variations^TotalVariations")
	{
		$arxItems[$itemCount]['TotalVariations'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Variations^TotalVariationPages")
	{
		$arxItems[$itemCount]['TotalVariationPages'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Variations^Item^ASIN")
	{
		$arxItems[$itemCount]['VariationASIN'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Variations^Item^ItemAttributes^Brand")
	{
		$arxItems[$itemCount]['VariationBrand'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Variations^Item^ItemAttributes^ClothingSize")
	{
		$arxItems[$itemCount]['VariationClothingSize'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Variations^Item^ItemAttributes^Color")
	{
		$arxItems[$itemCount]['VariationColor'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Variations^Item^ItemAttributes^Department")
	{
		$arxItems[$itemCount]['VariationDepartment'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Variations^Item^ItemAttributes^Feature")
	{
		$arxItems[$itemCount]['VariationFeature'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Variations^Item^ItemAttributes^Title")
	{
		$arxItems[$itemCount]['VariationTitle'] .= html_entity_decode($el[1]);
	}
	*/
	// END Variations - US only - INCOMPLETE

	if ($el[0] == "^ItemLookupResponse^Items^Item^OfferSummary^LowestNewPrice^Amount")
	{
		$arxItems[$itemCount]['LowestNewPriceAmount'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^OfferSummary^LowestNewPrice^CurrencyCode")
	{
		$arxItems[$itemCount]['LowestNewPriceCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^OfferSummary^LowestNewPrice^FormattedPrice")
	{
		$arxItems[$itemCount]['LowestNewPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^OfferSummary^TotalNew")
	{
		$arxItems[$itemCount]['TotalNew'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^OfferSummary^TotalUsed")
	{
		$arxItems[$itemCount]['TotalUsed'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^OfferSummary^TotalCollectible")
	{
		$arxItems[$itemCount]['TotalCollectible'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^OfferSummary^TotalRefurbished")
	{
		$arxItems[$itemCount]['TotalRefurbished'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Offers^TotalOffers")
	{
		$arxItems[$itemCount]['TotalOffers'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Offers^TotalOfferPages")
	{
		$arxItems[$itemCount]['TotalOfferPages'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Offers^Offer^Merchant^MerchantId")
	{
		$arxItems[$itemCount]['MerchantId'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Offers^Offer^Merchant^GlancePage")
	{
		$arxItems[$itemCount]['MerchantGlancePage'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Offers^Offer^OfferAttributes^Condition")
	{
		$arxItems[$itemCount]['OfferCondition'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Offers^Offer^OfferListing^OfferListingId")
	{
		$arxItems[$itemCount]['OfferListingId'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Offers^Offer^OfferListing^Price^Amount")
	{
		$arxItems[$itemCount]['OfferListingPriceAmount'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Offers^Offer^OfferListing^Price^CurrencyCode")
	{
		$arxItems[$itemCount]['OfferListingCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Offers^Offer^OfferListing^Price^FormattedPrice")
	{
		$arxItems[$itemCount]['OfferListingFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Offers^Offer^OfferListing^Availability")
	{
		$arxItems[$itemCount]['OfferListingAvailability'] .= str_replace("dispatched", "despatched", $el[1]);
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^EditorialReviews^EditorialReview^Source")
	{
		$arxItems[$itemCount]['EditorialSource'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^EditorialReviews^EditorialReview^Content")
	{
		$arxItems[$itemCount]['EditorialContent'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^SimilarProducts^SimilarProduct^ASIN")
	{
		$arxItems[$itemCount]['SimilarProductASIN'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^SimilarProducts^SimilarProduct^Title")
	{
		$arxItems[$itemCount]['SimilarProductTitle'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Accessories^Accessory^ASIN")
	{
		$arxItems[$itemCount]['AccessoriesASIN'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^Accessories^Accessory^Title")
	{
		$arxItems[$itemCount]['AccessoriesTitle'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^BrowseNodes^BrowseNode^BrowseNodeId")
	{
		$arxItems[$itemCount]['BrowseNodeId'][] .= $el[1];
	}
	if ($el[0] == '^ItemLookupResponse^Items^Item^BrowseNodes^BrowseNode^Name')
	{
		$arxItems[$itemCount]['BrowseNodeName'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^BrowseNodes^BrowseNode^Children^BrowseNode^BrowseNodeId")
	{
		$arxItems[$itemCount]['BrowseNodeChildId'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^BrowseNodes^BrowseNode^Children^BrowseNode^Name")
	{
		$arxItems[$itemCount]['BrowseNodeChildName'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^BrowseNodes^BrowseNode^Ancestors^BrowseNode^BrowseNodeId")
	{
		$arxItems[$itemCount]['BrowseNodeAncestorId'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^BrowseNodes^BrowseNode^Ancestors^BrowseNode^Name")
	{
		$arxItems[$itemCount]['BrowseNodeAncestorName'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^ListmaniaLists^ListmaniaList^ListId")
	{
		$arxItems[$itemCount]['ListmaniaListListId'][] .= $el[1];
	}
	if ($el[0] ==  "^ItemLookupResponse^Items^Item^ListmaniaLists^ListmaniaList^ListName")
	{
		$arxItems[$itemCount]['ListmaniaListListName'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^CustomerReviews^AverageRating")
	{
		$arxItems[$itemCount]['CustomerReviewsAvRating'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^CustomerReviews^TotalReviews")
	{
		$arxItems[$itemCount]['CustomerReviewsTotal'] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^CustomerReviews^Review^Rating")
	{
		$arxItems[$itemCount]['CustomerReviewRating'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^CustomerReviews^Review^HelpfulVotes")
	{
		$arxItems[$itemCount]['CustomerReviewHelpfulVotes'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^CustomerReviews^Review^CustomerId")
	{
		$arxItems[$itemCount]['CustomerReviewCustomerId'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^CustomerReviews^Review^TotalVotes")
	{
		$arxItems[$itemCount]['CustomerReviewTotalVotes'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^CustomerReviews^Review^Date")
	{
		$arxItems[$itemCount]['CustomerReviewDate'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^CustomerReviews^Review^Summary")
	{
		$arxItems[$itemCount]['CustomerReviewSummary'][] .= $el[1];
	}
	if ($el[0] == "^ItemLookupResponse^Items^Item^CustomerReviews^Review^Content")
	{
		$arxItems[$itemCount]['CustomerReviewContent'][] .= $el[1];
	}
}

function parseCartXML()
{
	global $escUrl;
	$open_stack = array();
	$parser = xml_parser_create();
	xml_set_element_handler($parser, "start_handler", "cart_end_handler");
	xml_set_character_data_handler($parser, "character_handler");
	xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
	xml_parse($parser, implode('', file($escUrl))) or die (format_error( $parser ));
	xml_parser_free($parser);
}

function cart_end_handler($p, $name)
{
	global $open_stack,$arxItems,$curName,$itemCount,$arxIndex, $debug;

	$seperatorPosition = strrpos($curName,'^');
	$curName = substr($curName,0,$seperatorPosition);

	$el = array_pop($open_stack);

    /*
    if ($debug =='1')
    {
	echo $el[0] . ': '; 				// element path
	echo $el[1] . '<br /><br />';	// element data
	//echo $el[2] . '<br /><br />';	// element attributes
    }
    */

	//
	// add element data to array
	//

	if ($el[0] == "^CartCreateResponse^Cart^Request^Errors^Error^Code")
	{
		$arxIndex['ErrorCode'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^Request^Errors^Error^Message")
	{
		$arxIndex['ErrorMessage'] .= $el[1];
	}

	if ($el[0] == "^CartCreateResponse^Cart^CartId")
	{
		$arxIndex['CartId'] .= $el[1];
		if (!$_SESSION['CartId'])
		{
			$_SESSION['CartId'] = $el[1];
		}
	}

	if ($el[0] == "^CartCreateResponse^Cart^HMAC")
	{
		$arxIndex['HMAC'] .= $el[1];
		if (!$_SESSION['HMAC'])
		{
			$_SESSION['HMAC'] = $el[1];
		}
	}

	if ($el[0] == "^CartCreateResponse^Cart^URLEncodedHMAC")
	{
		$arxIndex['URLEncodedHMAC'] .= $el[1];
		if (!$_SESSION['URLEncodedHMAC'])
		{
			$_SESSION['URLEncodedHMAC'] = $el[1];
		}
	}

	if ($el[0] == "^CartCreateResponse^Cart^PurchaseURL")
	{
		$arxIndex['PurchaseURL'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^SubTotal^Amount")
	{
		$arxIndex['SubTotalAmount'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^SubTotal^CurrencyCode")
	{
		$arxIndex['SubTotalCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^SubTotal^FormattedPrice")
	{
		$arxIndex['SubTotalFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^SubTotal^Amount")
	{
		$arxIndex['SubTotalAmount2'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^SubTotal^CurrencyCode")
	{
		$arxIndex['SubTotalCurrencyCode2'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^SubTotal^FormattedPrice")
	{
		$arxIndex['SubTotalFormattedPrice2'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem")
    {
		// begin product array loop
		$arxItems[$itemCount++];
    }
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^CartItemId")
	{
		$arxItems[$itemCount]['ItemId'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^ASIN")
	{
		$arxItems[$itemCount]['ItemASIN'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^MerchantId")
	{
		$arxItems[$itemCount]['ItemMerchantId'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^Quantity")
	{
		$arxItems[$itemCount]['ItemQuantity'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^Title")
	{
		$arxItems[$itemCount]['ItemTitle'] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^ProductGroup")
	{
		$arxItems[$itemCount]['ItemProductGroup'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^Price^Amount")
	{
		$arxItems[$itemCount]['ItemPrice'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^Price^CurrencyCode")
	{
		$arxItems[$itemCount]['ItemCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^Price^FormattedPrice")
	{
		$arxItems[$itemCount]['ItemFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^ItemTotal^Amount")
	{
		$arxItems[$itemCount]['ItemTotalAmount'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^ItemTotal^CurrencyCode")
	{
		$arxItems[$itemCount]['ItemTotalCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^CartItems^CartItem^ItemTotal^FormattedPrice")
	{
		$arxItems[$itemCount]['TotalFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartCreateResponse^Cart^SimilarProducts^SimilarProduct^ASIN")
	{
		$arxIndex['Similar']['ASIN'][] .= $el[1];
	}
	if ($el[0] == "^CartCreateResponse^Cart^SimilarProducts^SimilarProduct^Title")
	{
		$arxIndex['Similar']['Title'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartCreateResponse^Cart^SimilarViewedProducts^SimilarViewedProduct^ASIN")
	{
		$arxIndex['SimilarViewed']['ASIN'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartCreateResponse^Cart^SimilarViewedProducts^SimilarViewedProduct^Title")
	{
		$arxIndex['SimilarViewed']['Title'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartCreateResponse^Cart^OtherCategoriesSimilarProducts^OtherCategoriesSimilarProduct^ASIN")
	{
		$arxIndex['OtherSimilarViewed']['ASIN'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartCreateResponse^Cart^OtherCategoriesSimilarProducts^OtherCategoriesSimilarProduct^Title")
	{
		$arxIndex['OtherSimilarViewed']['Title'][] .= html_entity_decode($el[1]);
	}
}

function parseCartAddXML()
{
	global $escUrl;
	$open_stack = array();
	$parser = xml_parser_create();

	xml_set_element_handler($parser, "start_handler", "add_end_handler");
	xml_set_character_data_handler($parser, "character_handler");
	xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
	xml_parse($parser, implode('', file($escUrl))) or die (format_error( $parser ));
	xml_parser_free($parser);
}

function add_end_handler($p, $name)
{
	global $open_stack,$arxItems,$curName,$itemCount,$arxIndex,$similarCount, $debug;

	$seperatorPosition = strrpos($curName,'^');
	$curName = substr($curName,0,$seperatorPosition);

	$el = array_pop($open_stack);

    /*
    if ($debug =='1')
    {
	echo $el[0] . ': '; 				// element path
	echo $el[1] . '<br /><br />';	// element data
	//echo $el[2] . '<br /><br />';	// element attributes
    }
    */

	//
	// add element data to array
	//

	if ($el[0] == "^CartAddResponse^Cart^Request^Errors^Error^Code")
	{
		$arxIndex['ErrorCode'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^Request^Errors^Error^Message")
	{
		$arxIndex['ErrorMessage'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartId")
	{
		$arxIndex['CartId'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^HMAC")
	{
		$arxIndex['HMAC'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^URLEncodedHMAC")
	{
		$arxIndex['URLEncodedHMAC'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^PurchaseURL")
	{
		$arxIndex['PurchaseURL'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^SubTotal^Amount")
	{
		$arxIndex['SubTotalAmount'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^SubTotal^CurrencyCode")
	{
		$arxIndex['SubTotalCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^SubTotal^FormattedPrice")
	{
		$arxIndex['SubTotalFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^SubTotal^Amount")
	{
		$arxIndex['SubTotalAmount2'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^SubTotal^CurrencyCode")
	{
		$arxIndex['SubTotalCurrencyCode2'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^SubTotal^FormattedPrice")
	{
		$arxIndex['SubTotalFormattedPrice2'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem")
	{
		// begin cart items array loop
		$arxItems[$itemCount++];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^CartItemId")
	{
		$arxItems[$itemCount]['ItemId'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^ASIN")
	{
		$arxItems[$itemCount]['ItemASIN'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^MerchantId")
	{
		$arxItems[$itemCount]['ItemMerchantId'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^Quantity")
	{
		$arxItems[$itemCount]['ItemQuantity'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^Title")
	{
		$arxItems[$itemCount]['ItemTitle'] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^ProductGroup")
	{
		$arxItems[$itemCount]['ItemProductGroup'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^Price^Amount")
	{
		$arxItems[$itemCount]['ItemPrice'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^Price^CurrencyCode")
	{
		$arxItems[$itemCount]['ItemCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^Price^FormattedPrice")
	{
		$arxItems[$itemCount]['ItemFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^ItemTotal^Amount")
	{
		$arxItems[$itemCount]['ItemItemTotalAmount'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^ItemTotal^CurrencyCode")
	{
		$arxItems[$itemCount]['ItemTotalCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^CartItems^CartItem^ItemTotal^FormattedPrice")
	{
		$arxItems[$itemCount]['TotalFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartAddResponse^Cart^SimilarProducts^SimilarProduct^ASIN")
	{
		$arxIndex['Similar']['ASIN'][] .= $el[1];
	}
	if ($el[0] == "^CartAddResponse^Cart^SimilarProducts^SimilarProduct^Title")
	{
		$arxIndex['Similar']['Title'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartAddResponse^Cart^SimilarViewedProducts^SimilarViewedProduct^ASIN")
	{
		$arxIndex['SimilarViewed']['ASIN'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartAddResponse^Cart^SimilarViewedProducts^SimilarViewedProduct^Title")
	{
		$arxIndex['SimilarViewed']['Title'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartAddResponse^Cart^OtherCategoriesSimilarProducts^OtherCategoriesSimilarProduct^ASIN")
	{
		$arxIndex['OtherSimilarViewed']['ASIN'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartAddResponse^Cart^OtherCategoriesSimilarProducts^OtherCategoriesSimilarProduct^Title")
	{
		$arxIndex['OtherSimilarViewed']['Title'][] .= html_entity_decode($el[1]);
	}
}

function parseModifyCartXML()
{
	global $escUrl;
	$open_stack = array();
	$parser = xml_parser_create();
	xml_set_element_handler($parser, "start_handler", "modify_end_handler");
	xml_set_character_data_handler($parser, "character_handler");
	xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
	xml_parse($parser, implode('', file($escUrl))) or die (format_error( $parser ));
	xml_parser_free($parser);
}

function modify_end_handler($p, $name)
{
	global $open_stack,$arxItems,$curName,$itemCount,$arxIndex,$similarCount, $debug;
	$seperatorPosition = strrpos($curName,'^');
	$curName = substr($curName,0,$seperatorPosition);

	$el = array_pop($open_stack);


    /*
	echo $el[0] . ': '; 				// element path
	echo $el[1] . '<br /><br />';	// element data
	//echo $el[2] . '<br /><br />';	// element attributes
    */


	//
	// add element data to array
	//

	if ($el[0] == "^CartModifyResponse^Cart^Request^Errors^Error^Code")
	{
		$arxIndex['ErrorCode'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^Request^Errors^Error^Message")
	{
		$arxIndex['ErrorMessage'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartId")
	{
		$arxIndex['CartId'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^HMAC")
	{
		$arxIndex['HMAC'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^URLEncodedHMAC")
	{
		$arxIndex['URLEncodedHMAC'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^PurchaseURL")
	{
		$arxIndex['PurchaseURL'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^SubTotal^Amount")
	{
		$arxIndex['SubTotalAmount'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^SubTotal^CurrencyCode")
	{
		$arxIndex['SubTotalCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^SubTotal^FormattedPrice")
	{
		$arxIndex['SubTotalFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^SubTotal^Amount")
	{
		$arxIndex['SubTotalAmount2'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^SubTotal^CurrencyCode")
	{
		$arxIndex['SubTotalCurrencyCode2'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^SubTotal^FormattedPrice")
	{
		$arxIndex['SubTotalFormattedPrice2'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem")
	{
		// begin cart items array loop
		$arxItems[$itemCount++];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^CartItemId")
	{
		$arxItems[$itemCount]['ItemId'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^ASIN")
	{
		$arxItems[$itemCount]['ItemASIN'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^MerchantId")
	{
		$arxItems[$itemCount]['ItemMerchantId'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^Quantity")
	{
		$arxItems[$itemCount]['ItemQuantity'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^Title")
	{
		$arxItems[$itemCount]['ItemTitle'] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^ProductGroup")
	{
		$arxItems[$itemCount]['ItemProductGroup'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^Price^Amount")
	{
		$arxItems[$itemCount]['ItemPrice'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^Price^CurrencyCode")
	{
		$arxItems[$itemCount]['ItemCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^Price^FormattedPrice")
	{
		$arxItems[$itemCount]['ItemFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^ItemTotal^Amount")
	{
		$arxItems[$itemCount]['ItemTotalAmount'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^ItemTotal^CurrencyCode")
	{
		$arxItems[$itemCount]['ItemTotalCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^CartItems^CartItem^ItemTotal^FormattedPrice")
	{
		$arxItems[$itemCount]['TotalFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartModifyResponse^Cart^SimilarProducts^SimilarProduct^ASIN")
	{
		$arxIndex['Similar']['ASIN'][] .= $el[1];
	}
	if ($el[0] == "^CartModifyResponse^Cart^SimilarProducts^SimilarProduct^Title")
	{
		$arxIndex['Similar']['Title'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartModifyResponse^Cart^SimilarViewedProducts^SimilarViewedProduct^ASIN")
	{
		$arxIndex['SimilarViewed']['ASIN'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartModifyResponse^Cart^SimilarViewedProducts^SimilarViewedProduct^Title")
	{
		$arxIndex['SimilarViewed']['Title'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartModifyResponse^Cart^OtherCategoriesSimilarProducts^OtherCategoriesSimilarProduct^ASIN")
	{
		$arxIndex['OtherSimilarViewed']['ASIN'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartModifyResponse^Cart^OtherCategoriesSimilarProducts^OtherCategoriesSimilarProduct^Title")
	{
		$arxIndex['OtherSimilarViewed']['Title'][] .= html_entity_decode($el[1]);
	}
}

function parseClearCartXML()
{
	global $escUrl;
	$open_stack = array();
	$parser = xml_parser_create();
	xml_set_element_handler($parser, "start_handler", "clear_end_handler");
	xml_set_character_data_handler($parser, "character_handler");
	xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
	xml_parse($parser, implode('', file($escUrl))) or die (format_error( $parser ));
	xml_parser_free($parser);
}

function clear_end_handler($p, $name)
{
	global $open_stack,$arxItems,$curName,$itemCount,$arxIndex,$similarCount;
	$seperatorPosition = strrpos($curName,'^');
	$curName = substr($curName,0,$seperatorPosition);

	$el = array_pop($open_stack);

	if ($el[0] == "^CartClearResponse^Cart^Request^Errors^Error^Code")
	{
		$arxIndex['ErrorCode'][] .= $el[1];
	}
	if ($el[0] == "^CartClearResponse^Cart^Request^Errors^Error^Message")
	{
		$arxIndex['ErrorMessage'][] .= $el[1];
	}
}

function parseGetCartXML() {
  global $escUrl;
$open_stack = array();
$parser = xml_parser_create();
xml_set_element_handler($parser, "start_handler", "get_end_handler");
xml_set_character_data_handler($parser, "character_handler");
xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
xml_parse($parser, implode('', file($escUrl))) or die (format_error( $parser ));
xml_parser_free($parser);
}

function get_end_handler($p, $name)
	{
		global $open_stack,$arxItems,$curName,$itemCount,$arxIndex,$similarCount, $debug;
		$seperatorPosition = strrpos($curName,'^');
		$curName = substr($curName,0,$seperatorPosition);

	$el = array_pop($open_stack);

    /*
    if ($debug =='1')
    {
	echo $el[0] . ': '; 				// element path
	echo $el[1] . '<br /><br />';	// element data
	//echo $el[2] . '<br /><br />';	// element attributes
    }
    */

	//
	// add element data to array
	//

	if ($el[0] == "^CartGetResponse^Cart^Request^Errors^Error^Code")
	{
		$arxIndex['ErrorCode'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^Request^Errors^Error^Message")
	{
		$arxIndex['ErrorMessage'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartId")
	{
		$arxIndex['CartId'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^HMAC")
	{
		$arxIndex['HMAC'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^URLEncodedHMAC")
	{
		$arxIndex['URLEncodedHMAC'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^PurchaseURL")
	{
		$arxIndex['PurchaseURL'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^SubTotal^Amount")
	{
		$arxIndex['SubTotalAmount'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^SubTotal^CurrencyCode")
	{
		$arxIndex['SubTotalCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^SubTotal^FormattedPrice")
	{
		$arxIndex['SubTotalFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^SubTotal^Amount")
	{
		$arxIndex['SubTotalAmount2'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^SubTotal^CurrencyCode")
	{
		$arxIndex['SubTotalCurrencyCode2'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^SubTotal^FormattedPrice")
	{
		$arxIndex['SubTotalFormattedPrice2'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem")
	{
		// begin cart items array loop
		$arxItems[$itemCount++];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^CartItemId")
	{
		$arxItems[$itemCount]['ItemId'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^ASIN")
	{
		$arxItems[$itemCount]['ItemASIN'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^MerchantId")
	{
		$arxItems[$itemCount]['ItemMerchantId'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^Quantity")
	{
		$arxItems[$itemCount]['ItemQuantity'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^Title")
	{
		$arxItems[$itemCount]['ItemTitle'] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^ProductGroup")
	{
		$arxItems[$itemCount]['ItemProductGroup'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^Price^Amount")
	{
		$arxItems[$itemCount]['ItemPrice'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^Price^CurrencyCode")
	{
		$arxItems[$itemCount]['ItemCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^Price^FormattedPrice")
	{
		$arxItems[$itemCount]['ItemFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^ItemTotal^Amount")
	{
		$arxItems[$itemCount]['ItemTotalAmount'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^ItemTotal^CurrencyCode")
	{
		$arxItems[$itemCount]['ItemTotalCurrencyCode'] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^CartItems^CartItem^ItemTotal^FormattedPrice")
	{
		$arxItems[$itemCount]['TotalFormattedPrice'] .= utf8_decode($el[1]);
	}
	if ($el[0] == "^CartGetResponse^Cart^SimilarProducts^SimilarProduct^ASIN")
	{
		$arxIndex['Similar']['ASIN'][] .= $el[1];
	}
	if ($el[0] == "^CartGetResponse^Cart^SimilarProducts^SimilarProduct^Title")
	{
		$arxIndex['Similar']['Title'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartGetResponse^Cart^SimilarViewedProducts^SimilarViewedProduct^ASIN")
	{
		$arxIndex['SimilarViewed']['ASIN'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartGetResponse^Cart^SimilarViewedProducts^SimilarViewedProduct^Title")
	{
		$arxIndex['SimilarViewed']['Title'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartGetResponse^Cart^OtherCategoriesSimilarProducts^OtherCategoriesSimilarProduct^ASIN")
	{
		$arxIndex['OtherSimilarViewed']['ASIN'][] .= html_entity_decode($el[1]);
	}
	if ($el[0] == "^CartGetResponse^Cart^OtherCategoriesSimilarProducts^OtherCategoriesSimilarProduct^Title")
	{
		$arxIndex['OtherSimilarViewed']['Title'][] .= html_entity_decode($el[1]);
	}
}

function format_error($p)
{
	$code = xml_get_error_code($p);
	$str = xml_error_string($code);
	$line = xml_get_current_line_number($p);
	return "XML ERROR ($code): $str at line $line";
}
?>