<?php
/*****************************************************************
 *   render.php
 *   -------------------
 *   This file is part of AMAZECS
 *
 *   @package    : amazecs
 *   @purpose    : Renders HTML output
 *   @copyright  : (C) 2004,2006 Len Johnson
 *   @mail       : GB WEBS, 4 Leominster Walk,
 *				   West Midlands, B45 9SW, UK
 *   @support    : http://www.web-bureau.com/forum/
 *   @version    : $Id: render.php,v 1.0.1 $
 *   @license 	 : http://opensource.org/licenses/gpl-license.php
 *
 *****************************************************************/
 /*****************************************************************
 *	 GNU Public License
 *   This program is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty
 *	 of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *****************************************************************/

/**
 * @ignore
 */

function render_amzprod($arxIndex,$arxItems) {
	global $lang;

    // handle errors
	if ($arxIndex['ErrorMessage']) {
        amz_error_message ($arxIndex,$lang);
     } else {
    // end handle errors

        print "<table width='100%' cellpadding='1' cellspacing='1' style='border: 1px solid #C5C5C5'><tr><td bgcolor='#eeeeee' height='18' class='tablehead'>".$lang['amz_Product']."</td></tr></table>";
        print "<table width='100%' cellpadding='4' cellspacing='0' class='border2'><tr><td class='main-body'>";

		// main loop
		for ($mm=0; $mm<count($arxItems); $mm++) {
            $elem = $arxItems[$mm];

            amz_prod_title($elem);

	        // image and pricing table
	        print '<table><tr><td>';

	        /* Display small images using: amz_sm_image($elem);
	        */

	        if ($elem['MediumImageURL']) {
	            amz_med_image($elem);
	        } elseif ($elem['SmallImageURL']) {
	            amz_sm_image($elem);
	        } else {
            	noimage($elem,$lang);
	        }

	        /* Display large images using:amz_lg_image($elem);
	        */

	        print '</td>
	        <td width="15px">&nbsp;
	        </td>
	        <td>';

	        if ($elem['CustomerReviewsAvRating']) {
	        	amz_avgratings($elem,$lang);
	        }

            amz_pricing($elem,$lang);

			amz_cartlink($elem,$lang);

	        print '</td></tr></table><br />';
	        // end image and pricing table

	        // item detail and similar products table
	        print '<table border="0" cellpadding="0" cellspacing="0" width="100%">
	        <tr>
	        <td width="50%" valign="top">
	        <h2>'.$lang['amz_item_detail'].'</h2>';

            amz_binding($elem,$lang);
			amz_format($elem,$lang);
 			amz_region_code($elem,$lang);
 			amz_running_time($elem,$lang);
  			amz_lang_name($elem,$lang);
  			amz_actor($elem,$lang);
  			amz_author($elem,$lang);
  			amz_artist($elem,$lang);
   			amz_brand($elem,$lang);
   			amz_model($elem,$lang);
   			amz_composer($elem,$lang);
    		amz_conductor($elem,$lang);
        	amz_director($elem,$lang);
			amz_label($elem,$lang);
			amz_studio($elem,$lang);
			amz_manufacturer($elem,$lang);
			amz_ESRBAgeRating($elem,$lang);
			amz_ManufacturerMinimumAge($elem,$lang);
			amz_ManufacturerMaximumAge($elem,$lang);
			amz_MPAARating($elem,$lang);
			amz_Orchestra($elem,$lang);
			amz_Publisher($elem,$lang);
			amz_Platform($elem,$lang);
			amz_ReleaseDate($elem,$lang);
			amz_EAN($elem,$lang);
			amz_UPC($elem,$lang);
			amz_Color($elem,$lang);
			amz_Weight($elem,$lang);
			amz_Height($elem,$lang);
			amz_Width($elem,$lang);
			amz_Length($elem,$lang);
			amz_ProductGroup($elem,$lang);
			amz_NumberOfItems($elem,$lang);

	        print '</td>
	        <td width="5%" valign="top">&nbsp;</td>
	        <td width="45%" valign="top">';

			amz_SimilarProducts($elem,$lang);

	        print '</td></tr></table><br />';
	        // end item detail and similar products table

	        // images, reviews, accessories table
	        print '<table><tr><td colspan="2">';

			amz_ProductImages($elem,$lang);
			amz_MusicTracks($elem,$lang);
			amz_Accessories($elem,$lang);
			amz_Reviews($elem,$lang);
			amz_Editorial($elem,$lang);

	        print '</td></tr></table>'; // end images, reviews, accessories table
	        print $lang['amzTop'];

	        /* TO DO: BrowseNodes
	        // Simpler if not using category_config
	        if ($elem['BrowseNodeId'] && $SearchIndex) {
	        print '<p>Related Categories: ';
	        for ($i=0; $i<count($elem['BrowseNodeId']); $i++) {
	            // INCOMPLETE
	            print '<a href="?SearchIndex={$SearchIndex}&BrowseNode='.$elem['BrowseNodeId'][$i].'">'.$elem['BrowseNodeName'][$i]</a>';
	        }
	        print '</p>';
	        */

	        /* TO DO: Listmania
	        if ($elem['ListmaniaListListId']) {
	        print '<p>Listmania: ';
	        for ($i=0; $i<count($elem['ListmaniaListListId']); $i++) {
	            // INCOMPLETE
	            print '<a href="?LISTID='.$elem['ListmaniaListListId'][$i].'">'.$elem['ListmaniaListListName'][$i]</a>';
	        }
	        print '</p>';
	        */
        }
	}
    	        print '</td></tr></table><br />';
}

function render_amzecs($arxIndex,$arxItems) {
	global $lang,$total_pages,$Sort,$locale;

	if ($arxIndex['ErrorMessage']) {
        amz_error_message ($arxIndex,$lang);
     } else {
	    print "<table width='100%' cellpadding='1' cellspacing='1' style='border: 1px solid #C5C5C5'><tr><td bgcolor='#eeeeee' height='18' class='tablehead'>".$locale['amz_SITE_TITLE']."</td></tr></table>";
	    print "<table width='100%' cellpadding='4' cellspacing='0' class='border2'><tr><td class='main-body'>";
		print $lang['amz_SITE_INTRO'];

        // main loop
        for ($mm=0; $mm<count($arxItems); $mm++) {
			$elem = $arxItems[$mm];
            amz_prod_title($elem);

            print '<table width="100%" align="center">
                    <tbody>
                    <tr>
                      <td valign="top" width="70px">';

            if ($elem['SmallImageURL']) {
                amz_sm_image($elem);
            } else {
              noimage($elem,$lang);
            }
            print '<td valign="top" width="10"></td>
      			   <td valign="top">';

            amz_binding($elem,$lang);
            amz_format($elem,$lang);
            amz_actor($elem,$lang);
            amz_author($elem,$lang);
            amz_artist($elem,$lang);
            amz_composer($elem,$lang);
            amz_director($elem,$lang);
            amz_label($elem,$lang);
            amz_manufacturer($elem,$lang);
            amz_MPAARating($elem,$lang);
            amz_Orchestra($elem,$lang);
            amz_Platform($elem,$lang);
            amz_Publisher($elem,$lang);
            amz_ReleaseDate($elem,$lang);

            amz_pricing($elem,$lang);

            amz_buttons($elem,$lang);

            print '</td>
                    </tr>
                    </tbody>
                    </table>';

        } // end main loop
        print '<p align="center">[ <a href="#top">Back To Top</a> ]</p> ';
        print '</td></tr></table>';
	} // end else NOT an error
} // end render_amzecs()

function render_amzsearch($arxIndex,$arxItems) {
	global $SearchIndex,$BrowseNode,$Keywords,$lang,$total_pages,$Sort;

	if ($arxIndex['ErrorMessage']) {
	    amz_error_message ($arxIndex,$lang);
     } else {
     	// blended
		if ($SearchIndex == 'Blended') {

	        print "<table width='100%' cellpadding='1' cellspacing='1' style='border: 1px solid #C5C5C5'><tr><td bgcolor='#eeeeee' height='18' class='tablehead'>".$lang['amzrefine_search']."</td></tr></table>";
	        print "<table width='100%' cellpadding='4' cellspacing='0' class='border2'><tr><td class='main-body'>";

			if ($arxIndex['CorrectedQueryMessage'][0]) {
				print '<p>'.$arxIndex['CorrectedQueryMessage'][0].'</p>';
			} else {
				print '<p>'.$lang['amzyour_search'].' <b>'.$Keywords.'</b> '.$lang['amzgenerated'].' '.$arxIndex['TotalResults'].' '.$lang['amzresults'].'.</p>';
			}

			if ($arxIndex['SearchIndexIndexName']) {
				print '<p>'.$lang['amzsearch_find'].' <b>'.$Keywords.'</b> '.$lang['amz_in_cats'].'</p>';
				print '<ul>';
				for ($i=0; $i<count($arxIndex['SearchIndexIndexName']); $i++) {
					print '<li><a href="index.php?action=search&SearchIndex='.$arxIndex['SearchIndexIndexName'][$i].'&Keywords='.$Keywords.'">'.$arxIndex['SearchIndexIndexName'][$i].' ('.$arxIndex['SearchIndexResults'][$i].')</a></li>';
				}
				print '</ul><br />';

			}
		// end blended
		} else {

            print "<table width='100%' cellpadding='1' cellspacing='1' style='border: 1px solid #C5C5C5'><tr><td bgcolor='#eeeeee' height='18' class='tablehead'>";
			friendly($SearchIndex,$lang);
            print '</td></tr></table>';
    		print "<table width='100%' cellpadding='4' cellspacing='0' class='border2'><tr><td class='main-body'>";

		   sort_search_options($SearchIndex);

            print '<p><b>'.$arxIndex['TotalResults'].'</b> '.$lang['amz_items_found'].' <b>'.$Keywords.'</b>. ';

            print '<p align="center">'.$lang['amzViewingPage'].'<b> '.$arxIndex['ItemPage'].'</b> ';

            search_pagination($arxIndex,$lang,$Keywords);

			// main loop
            for ($mm=0; $mm<count($arxItems); $mm++) {
                $elem = $arxItems[$mm];
                amz_prod_title($elem);

				print '<table width="100%" align="center">
	                    <tbody>
	                    <tr>
	                      <td valign="top" width="70px">';

                if ($elem['SmallImageURL']) {
					amz_sm_image($elem);
                } else {
				  noimage($elem,$lang);
				}
				print '<td valign="top" width="10"></td>
          <td valign="top">';

                amz_binding($elem,$lang);
                amz_format($elem,$lang);
                amz_actor($elem,$lang);
                amz_author($elem,$lang);
                amz_artist($elem,$lang);
                amz_composer($elem,$lang);
                amz_director($elem,$lang);
				amz_label($elem,$lang);
                amz_manufacturer($elem,$lang);
                amz_MPAARating($elem,$lang);
                amz_Orchestra($elem,$lang);
                amz_Platform($elem,$lang);
                amz_Publisher($elem,$lang);
                amz_ReleaseDate($elem,$lang);

                amz_pricing($elem,$lang);

				amz_buttons($elem,$lang);

				print '</td>
	                    </tr>
	                    </tbody>
	                    </table>';
			} // end main loop

	         print '<p align="center">'.$lang['amzViewingPage'].'<b> '.$arxIndex['ItemPage'].'</b> ';
	         search_pagination($arxIndex,$lang,$Keywords);
		}
	    print $lang['amzTop'];
	    print '</td></tr></tbody></table>';

	} // end else NOT an error
} // end render_amzsearch()

function render_amznocart($lang) {
	print "<table width='100%' cellpadding='1' cellspacing='1' style='border: 1px solid #C5C5C5'><tr><td bgcolor='#eeeeee' height='18' class='tablehead'>".$lang['amzshopping_cart']."</td></tr></table>";
	print "<table width='100%' cellpadding='4' cellspacing='0' class='border2'><tr><td class='main-body'>";
	print '<p>'.$lang['amzempty_cart_text'].'</p>';
	print '<p>'.$lang['amzstore_home'].'</p>';
	print '</td></tr></table>';
}

function render_amzcart_error($arxIndex,$lang) {
	print "<table width='100%' cellpadding='1' cellspacing='1' style='border: 1px solid #C5C5C5'><tr><td bgcolor='#eeeeee' height='18' class='tablehead'>".$lang['amzshopping_cart']."</td></tr></table>";
	print "<table width='100%' cellpadding='4' cellspacing='0' class='border2'><tr><td class='main-body'>";
    amz_error_message($arxIndex,$lang);
	print '</td></tr></table>';

}

function render_cart($arxIndex,$arxItems,$lang) {
	global $SearchIndex,$BrowseNode,$Keywords,$page,$locale;

	if ($arxIndex['ErrorMessage']) {
        amz_error_message ($arxIndex,$lang);
     } else {

	    print "<table width='100%' cellpadding='1' cellspacing='1' style='border: 1px solid #C5C5C5'><tr><td bgcolor='#eeeeee' height='18' class='tablehead'>".$lang['amzshopping_cart']."</td></tr></table>";
	    print "<table width='100%' cellpadding='4' cellspacing='0' class='border2'><tr><td class='main-body'>";

	    if ($arxIndex['SubTotalAmount'] == "") {
	        print '<p>'.$lang['amzempty_cart_text'].'</p>';
	        print '<p>'.$lang['amzstore_home'].'</p>';
	    } else {

	    // <h2>Cart message</h2>

	        print '<table cellpadding="0" cellspacing="1" class="tbl-border" width="100%">
	        <tbody>
	            <tr>
	                <th width="35%">'.$lang['amzitem_name'];
	        print '</th>
	                <th width="10%" colspan="2">'.$lang['amzquantity'];
	        print '</th>
	                <th width="15%">'.$lang['amzprice'];
	        print '</th>
	                <th width="20%" colspan="2">'.$lang['amzsub_total'];
	        print '</th>
	                <th width="20%">'.$lang['amzmodify'];
	        print '</th>
	            </tr>';

	        for ($mm=0; $mm<count($arxItems); $mm++) {
	            $elem = $arxItems[$mm];
	            print '<form method="POST" action="index.php">';
	            print '<input type="hidden" name="action" value="modify">';
	            print '
	            <tr class="tbl1">
	                <td class="tbl1">'.$elem['ItemTitle'];
	            print '</td>
	                <td class="calign" colspan="2" class="tbl1">
	                <center><input type="text" name="quantity" value="'.$elem['ItemQuantity'].'" size="2" class="textbox" style="width:16px"></center>
	                <input type="hidden" name="CartItemId" value="'.$elem['ItemId'].'">
	                </td>';

	            print '<td class="tbl1"><center>'.$elem['ItemFormattedPrice'].'</center>
	                </td>
	                <td colspan="2" class="tbl1"><center>'.$elem['TotalFormattedPrice'].'</center>
	                </td>
	                <td class="tbl1">
	                <center><input type="submit" value="'.$lang['amz_Change'].'" class="button"></center>
	                </td>
	            </tr>
	        </form>';
	        }
            print '<tr>
                <td colspan="7" class="tbl1" height="5">&nbsp;
                </td>
            </tr>
            <tr class="tbl1">
                <td colspan="4" class="tbl1">
                <p class="ralign"><b>'.$lang['amzcart_total1'].'</b>
                </td>
                <td colspan="2"  class="tbl1">';

            print '<center><b>'.$arxIndex['SubTotalFormattedPrice2'].'</b></center>
                </td>
                <td class="tbl1">&nbsp;</td>
            </tr>
			 </tbody>
              </table>';

            print '<table cellpadding="0" cellspacing="1" width="100%">
	        <tbody>
	            <tr><tr class="tbl1">
                <td colspan="2" class="tbl1">
        <center><form method="POST" action="index.php">';
            print '<input type="submit" value="'.$lang['amzcontinue_shopping'].'" class="button">
    </form></center>
            </td>
            <td colspan="3" class="tbl1">
    <center><form method="POST" action="index.php">';
            print '<input type="hidden" name="action" value="clear">';
            print '<input type="submit" value="'.$lang['amzclear_cart'].'" class="button">';
            print '</form></center>
            </td>
            <td colspan="2" class="tbl1">';

            print '<center><form method="POST" action="buyurl.php">';
            print '<input type="hidden" name="buyurl" value="'.$arxIndex['PurchaseURL'].'">';

            print '<center><input type="submit" value="'.$lang['amzcheckout'].'" class="button">';
            print '</form></center>

                            </td>
                        </tr>

                    </tbody>
                </table>';

            amz_SimCartProducts($elem,$lang,$arxIndex);
            amz_ViewedSimProducts($elem,$lang,$arxIndex);
            amz_OtherSimProducts($elem,$lang,$arxIndex);
        }
        print $lang['amzcart_help'];
        // DEBUG
		print '</td></tr></table>';
        // echo $escUrl;
        // print 'sess hmac ' . $_SESSION['HMAC'];
        // print '<br />sess CartId ' . $_SESSION['CartId'];
    }
}

// display functions
function amz_error_message ($arxIndex,$lang) {
	global $locale;
	if ($arxIndex['ErrorMessage']) {
		print "<table width='100%' cellpadding='1' cellspacing='1' style='border: 1px solid #C5C5C5'><tr><td bgcolor='#eeeeee' height='18' class='tablehead'>".$locale['amz_SITE_TITLE']."</td></tr></table>";
		print "<table width='100%' cellpadding='4' cellspacing='0' class='border2'><tr><td class='main-body'>";
		print '<h2>'.$lang['amzSorry'].'</h2>';
		print '<p>'.$lang['amzrerr_error'].$arxIndex['ErrorMessage'];
		print '<p>'.$lang['amzproblem'].' <a href="'.BASEDIR.'contact.php">'.$lang['amzwebmaster'].'</a> '.$lang['amzrerr_detail'].' <b>'.$arxIndex['ErrorCode'].'</b>.</p>';
        print '<p>'.$lang['amzstore_home'].' | <a href="index.php?action=get">'.$lang['amzcart_view'].'...</a></p>';
        print '</td></tr></table>';

     }
}
function amz_prod_title($elem) {
	if ($elem['Title']) {
		print '<h1 title="'.$elem['Title'].'">'.$elem['Title'].'</h1>';
    }
}

function amz_sm_image($elem) {
    print '<img src="'.$elem['SmallImageURL'].'" width="'.$elem['SmallImageWidth'].'" height="'.$elem['SmallImageHeight'].'" alt="'.$elem['Title'].'" />';
}

function amz_med_image ($elem) {
	global $arxItems;
	print '<img src="'.$elem['MediumImageURL'].'" width="'.$elem['MediumImageWidth'].'" height="'.$elem['MediumImageHeight'].'" alt="'.$elem['Title'].'" />';
}

function amz_lg_image ($elem) {
	print '<img src="'.$elem['LargeImageURL'].'" width="'.$elem['LargeImageWidth'].'" height="'.$elem['LargeImageHeight'].'" alt="'.$elem['Title'].'" />';
}

function amz_avgratings($elem,$lang) {
	print '<p align="left" class="gensmall"><b>'.$lang['amzrating'].'</b> '.$elem['CustomerReviewsAvRating'].$lang['amz_out_of'].'</p>';
}
function amz_pricing($elem,$lang) {
    if ($elem['TotalOffers'] == "" and $elem['LowestNewPrice']) {
        print '<b>'.$lang['amzOurPrice'].'</b>: ';
        print '<span class="ourprice">'.$elem['LowestNewPrice'].'</span> ';
        print '<br />'.$lang['amzdisclaimer'].'<br />';
    } elseif ($elem['TotalOffers'] == '1' and $elem['LowestNewPrice'] == "") {
        print '<b>'.$lang['amzOurPrice'].'</b>:'.$lang['amz_na'].'<br />';
    } elseif ($elem['TotalOffers'] == 1 and ($elem['ListPriceAmount'] > $elem['OfferListingPriceAmount'])) {
        print '<b>'.$lang['amz_rrp'].'</b>: ';
        print '<span class="listprice">'.$elem['ListPrice'].'</span>';
        print '<br /><b>'.$lang['amzOurPrice'].'</b>: ';
        print '<span class="ourprice">'.$elem['OfferListingFormattedPrice'].'</span>';
        print '<br />'.$lang['amzdisclaimer'].'<br />';
    } elseif ($elem['TotalOffers'] > 1 and ($elem['LowestNewPriceAmount'] < $elem['ListPriceAmount'])) {
        print '<b>'.$lang['amz_rrp'].'</b>: ';
        print '<span class="listprice">'.$elem['ListPrice'].'</span>';
        print '<br /><b>'.$lang['amzOurPrice'].'</b>: ';
        print '<span class="ourprice">'.$elem['LowestNewPrice'].'</span>';
        print '<br />'.$lang['amzdisclaimer'].'<br />';

    } elseif ($elem['OfferListingFormattedPrice'] !=="") {
        print '<b>'.$lang['amzOurPrice'].'</b>: ';
        print '<span class="ourprice">'.$elem['OfferListingFormattedPrice'].'</span>';
        print '<br />'.$lang['amzdisclaimer'].'<br />';
    } else {
        print '<b>'.$lang['amzOurPrice'].'</b>: ';
        print '<span class="ourprice">'.$elem['ListPrice'].'</span>';
        print '<br />'.$lang['amzdisclaimer'].'<br />';
    }
}

function amz_cartlink($elem,$lang) {
    if ($elem['TotalOffers'] == "1") {
        if ($elem['OfferListingAvailability'] == $lang['amznot_avail']) {
            print '<br /><b>'.$lang['amz_avail'].'</b>'.$lang['amz_no_stock'].'<br /><br />';
        } else {
            print '<br /><span><b>'.$lang['amz_avail'].'</b> '.$elem['OfferListingAvailability'].'</span>';
            print '<br /><br />';

            amz_cartaddbutton($elem,$lang);
	        /* Or you can use the amazon buy page direct link
	        buydirect($elem,$lang);
	        */
        }
    } elseif ($elem['TotalOffers'] == "0") {
        print '<br /><b>'.$lang['amz_avail'].'</b>'.$lang['amz_no_stock'].'<br /><br />';
    } elseif ($elem['TotalOffers'] > "1") {
        print '<br /><b>'.$lang['amz_avail'].'</b> '.$elem['OfferListingAvailability'];
        print '<br /><br />';

        amz_cartaddbutton($elem,$lang);
        /* Or you can use the amazon buy page direct link
        buydirect($elem,$lang);
        */
    }
}

function amz_cartaddbutton($elem,$lang) {
	global $SearchIndex,$BrowseNode,$Keywords,$page;
	print '<form action="index.php" method="post" style="margin: 0px" target="_self">
    	   <input type="hidden" name="action" value="add">
           <input type="hidden" name="ASIN" value="'.$elem['ASIN'].'">';
	print '<input type="image" SRC="img/cartadd.gif" border="0" width="98" height="33"><br>
           </p>
           </center>
          </form>';
}
function amz_detailsbutton($elem,$lang) {
	global $SearchIndex;
	print '<form action="index.php?action=product" method="post" style="margin: 0px" target="_self">
          <input type="hidden" name="ASIN" value="'.$elem['ASIN'].'">
          <input type="hidden" name="quantity" value="1">
          <input type="hidden" name="SearchIndex" value="'.$SearchIndex.'">
          <input type="image" SRC="img/viewdetails.gif" border="0"  width="98" height="33"><br>
          </p>
          </center>
        </form>';
}
function amz_buydirect($elem,$lang) {
	print '<br /><a href="'.$elem['DetailPageURL'].'">'.$lang['amzbuy_text'].'</a><br />';
}

function amz_binding($elem,$lang) {
	global $SearchIndex;
	if ($elem['Binding']) {
    	print '<b>'.$elem['Binding'].'</b><br />';
	} elseif ($elem['ProductGroup'] && $SearchIndex == 'DVD') {
    print '<b>'.$elem['ProductGroup'].'</b><br />';
    }
}

function amz_format($elem,$lang) {
	global $SearchIndex;
    if ($elem['Format']) {
        print $lang['amzFormat'];
        for ($i=0; $i<count($elem['Format']); $i++) {
            print $elem['Format'][$i].' ';
        }
        print '<br />';
    } elseif ($elem['ProductGroup'] && $SearchIndex == "DVD") {
        print '<b>'.$elem['ProductGroup'].'</b><br />';
    }
}

function amz_region_code($elem,$lang) {
    if ($elem['RegionCode']) { // DVD
        print $lang['amzRegion'].$elem['RegionCode'].$lang['amzencoding'];
        print '<br />';
    }
}

function amz_running_time($elem,$lang) {
    if ($elem['RunningTime']) { // DVD
        print $lang['amzRunning_Time'].$elem['RunningTime'].' '. $elem['RunningTimeAttributes']['Units'];
        print '<br />';
    }
}

function amz_lang_name($elem,$lang) {
    if ($elem['LanguageName']) { // DVD
        print $lang['amzLanguages'];
        for ($i=0; $i<count($elem['LanguageName']); $i++) {
            print $elem['LanguageName'][$i];
            if($elem['LanguageType'][$i]) {
                print ' ('.$elem['LanguageType'][$i].') ';;
            }
        }
        print '<br />';
    }
}

function amz_actor($elem,$lang) {
    if ($elem['Actor']) {
        print $lang['amzActors'];
        for ($i=0; $i<count($elem['Actor']); $i++) {
            print $elem['Actor'][$i].' ';
        }
        print '<br />';
    }
}

function amz_author($elem,$lang) {
    if ($elem['Author']) {
        print $lang['amzAuthors'];
        for ($i=0; $i<count($elem['Author']); $i++) {
            print $elem['Author'][$i].' ';
        }
        print '<br />';
    }
}

function amz_artist($elem,$lang) {
    if ($elem['Artist']) {
        print $lang['amzArtists'];
        for ($i=0; $i<count($elem['Artist']); $i++) {
            print $elem['Artist'][$i].' ';
        }
        print '<br />';
    }
}
function amz_brand($elem,$lang) {
    if ($elem['Brand']) {
        print $lang['amzBrand'].$elem['Brand'];
        print '<br />';
    }
}

function amz_model($elem,$lang) {
    if ($elem['Model']) {
        print $lang['amzModel'].$elem['Model'];
        print '<br />';
    } elseif ($elem['MPN']) {
        print $lang['amzMPN'].$elem['MPN'];
        print '<br />';
    }
}

function amz_studio($elem,$lang) {
    if ($elem['Studio']) {
        print $lang['amzStudio'].$elem['Studio'];
        print '<br />';
    }
}

function amz_composer($elem,$lang) {
    if ($elem['Composer']) {
        print $lang['amzComposers'];
        for ($i=0; $i<count($elem['Composer']); $i++) {
            print $elem['Composer'][$i].' ';
        }
        print '<br />';
    }
}

function amz_conductor($elem,$lang) {
    if ($elem['Conductor']) {
        print $lang['amzConductor'].$elem['Conductor'];
        print '<br />';
    }
}

function amz_director($elem,$lang) {
    if ($elem['Director']) {
        print $lang['amzDirectors'];
        for ($i=0; $i<count($elem['Director']); $i++) {
            print $elem['Director'][$i].' ';
        }
        print '<br />';
    }
}

function amz_label($elem,$lang) {
    if ($elem['Label']) {
        print $lang['amzLabel'];
        for ($i=0; $i<count($elem['Label']); $i++) {
            print $elem['Label'][$i].' ';
        }
        print '<br />';
    }
}

function amz_manufacturer($elem,$lang) {
    if ($elem['Manufacturer']) {
        print $lang['amzManufacturer'].$elem['Manufacturer'];
        print '<br />';
    }
}

function amz_ESRBAgeRating($elem,$lang) {
    if ($elem['ESRBAgeRating']) {
        print $lang['amzESRBAgeRating'].$elem['ESRBAgeRating'];
        print '<br />';
    }
}

function amz_ManufacturerMinimumAge($elem,$lang) {
    if ($elem['ManufacturerMinimumAge']) {
        print $lang['amzManufacturerMinimumAge'].$elem['ManufacturerMinimumAge'];
        if ($elem['ManufacturerMinimumAgeAttributes']['Units']) {
            print ' ' .$elem['ManufacturerMinimumAgeAttributes']['Units'] . ' ';
        }
        print '<br />';
    }
}

function amz_ManufacturerMaximumAge($elem,$lang) {
    if ($elem['ManufacturerMaximumAge']) {
        print $lang['amzManufacturerMaximumAge'].$elem['ManufacturerMaximumAge'];
        if ($elem['ManufacturerMaximumAgeAttributes']['Units']) {
            print ' ' . $elem['ManufacturerMaximumAgeAttributes']['Units'] . ' ';
        }
        print '<br />';
    }
}

function amz_MPAARating($elem,$lang) {
    if ($elem['MPAARating']) {
        print $lang['amzMPAARating'].$elem['MPAARating'];
        print '<br />';
    }
}
function amz_Orchestra($elem,$lang) {
    if ($elem['Orchestra']) {
        print $lang['amzOrchestra'].$elem['Orchestra'];
    }
}

function amz_Publisher($elem,$lang) {
    if ($elem['Publisher']) {
        print $lang['amzPublishers'];
        for ($i=0; $i<count($elem['Publisher']); $i++) {
            print $elem['Publisher'][$i].' ';
        }
        print '<br />';
    }
}

function amz_Platform($elem,$lang) {
    if ($elem['Platform']) {
        print $lang['amzPlatforms'];
        for ($i=0; $i<count($elem['Platform']); $i++) {
            print $elem['Platform'][$i].' ';
        }
        print '<br />';
    }
}

function amz_ReleaseDate($elem,$lang) {
    if ($elem['ReleaseDate']) {
        print $lang['amzReleaseDate'].$elem['ReleaseDate'];
        print '<br />';
    }
}

function amz_EAN($elem,$lang) {
    if ($elem['EAN']) {
        print $lang['amzEAN'].$elem['EAN'];
        print '<br />';
    }
}

function amz_UPC($elem,$lang) {
    if ($elem['UPC']) {
        print $lang['amzUPC'].$elem['UPC'];
        print '<br />';
    }
}

function amz_Color($elem,$lang) {
    if ($elem['Color']) {
        print $lang['amzColor'].$elem['Color'];
        print '<br />';
    }
}

function amz_Weight($elem,$lang) {
    if ($elem['PackageDimensionsWeight']) {
        print $lang['amzWeight'].$elem['PackageDimensionsWeight'];
        if ($elem['PackageWeightAttributes']['Units']) {
            print ' ' . $elem['PackageWeightAttributes']['Units'] . ' ';
        }
        print '<br />';
    }
}

function amz_Height($elem,$lang) {
    if ($elem['PackageDimensionsHeight']) {
        print $lang['amzHeight'].$elem['PackageDimensionsHeight'];
        if ($elem['PackageHeightAttributes']['Units']) {
            print ' ' . $elem['PackageHeightAttributes']['Units'] . ' ';
        }
        print '<br />';
    }
}

function amz_Width($elem,$lang) {
    if ($elem['PackageDimensionsWidth']) {
        print $lang['amzWidth'].$elem['PackageDimensionsWidth'];
        if ($elem['PackageWidthAttributes']['Units']) {
            print ' ' .$elem['PackageWidthAttributes']['Units'] . ' ';
        }
        print '<br />';
    }
}

function amz_Length($elem,$lang) {
    if ($elem['PackageDimensionsLength']) {
        print $lang['amzLength'].$elem['PackageDimensionsLength'];
        if ($elem['PackageLengthAttributes']['Units']) {
            print ' ' . $elem['PackageLengthAttributes']['Units'] . ' ';
        }
        print '<br />';
    }
}

function amz_ProductGroup($elem,$lang) {
    if ($elem['ProductGroup'] == 'CE') {
        print $lang['amzCE'];
        print '<br />';
    } elseif ($elem['ProductGroup']) {
        print $lang['amzProductGroup'].$elem['ProductGroup'];
        print '<br />';
    }
}

function amz_NumberOfItems($elem,$lang) {
	if ($elem['NumberOfItems']) {
	    print $lang['amzNumberOfItems'].$elem['NumberOfItems'];
	    print '<br />';
	}
}

function amz_SimilarProducts($elem,$lang) {
    if ($elem['SimilarProductASIN']) {
        print '<h2>'.$lang['amzSimilar_Items'].'</h2>';
        // print '<ul>';
        for ($i=0; $i<count($elem['SimilarProductASIN']); $i++) {
            print '<li><a href=index.php?action=product&ASIN='.$elem['SimilarProductASIN'][$i].'> ';

            print $elem['SimilarProductTitle'][$i].'</a></li>';
        }
        // print '</ul>';
    }
}

function amz_SimCartProducts($elem,$lang,$arxIndex) {
    if ($elem['SimilarProductASIN']) {
        print '<h2>'.$lang['amzSimilar_Items'].'</h2>';
        print '<ul>';
        for ($i=0; $i<count($elem['SimilarProductASIN']); $i++) {
            print '<li><a href=index.php?action=product&ASIN='.$elem['SimilarProductASIN'][$i].'> ';

            print $elem['SimilarProductTitle'][$i].'</a></li>';
        }
        print '</ul>';
    } elseif ($arxIndex['Similar']['ASIN']){
        print '<h2>'.$lang['amzSimilar_Items'].'</h2>';
        print '<ul>';
        for ($i=0; $i<count($arxIndex['Similar']['ASIN']); $i++) {
            print '<li><a href=index.php?action=product&ASIN='.$arxIndex['Similar']['ASIN'][$i].'> ';

            print $arxIndex['Similar']['Title'][$i].'</a></li>';
        }
        print '</ul>';
    }
}
function amz_OtherSimProducts($elem,$lang,$arxIndex) {
    if ($elem['OtherSimilarViewed']['ASIN']) {
        print '<h2>'.$lang['amzSimCat_Items'].'</h2>';
        print '<ul>';
        for ($i=0; $i<count($elem['SimilarProductASIN']); $i++) {
            print '<li><a href=index.php?action=product&ASIN='.$elem['OtherSimilarViewed']['ASIN'][$i].'> ';

            print $elem['OtherSimilarViewed']['Title'][$i].'</a></li>';
        }
        print '</ul>';
    } elseif ($arxIndex['OtherSimilarViewed']['ASIN']){
        print '<h2>'.$lang['amzSimCat_Items'].'</h2>';
        print '<ul>';
        for ($i=0; $i<count($arxIndex['OtherSimilarViewed']['ASIN']); $i++) {
            print '<li><a href=index.php?action=product&ASIN='.$arxIndex['OtherSimilarViewed']['ASIN'][$i].'> ';

            print $arxIndex['OtherSimilarViewed']['Title'][$i].'</a></li>';
        }
        print '</ul>';
    }
}
function amz_ViewedSimProducts($elem,$lang,$arxIndex) {
    if ($elem['SimilarViewed']['ASIN']) {
        print '<h2>'.$lang['amzSimViewed_Items'].'</h2>';
        print '<ul>';
        for ($i=0; $i<count($elem['SimilarViewed']); $i++) {
            print '<li><a href=index.php?action=product&ASIN='.$elem['SimilarViewed']['ASIN'][$i].'> ';

            print $elem['SimilarViewed']['Title'][$i].'</a></li>';
        }
        print '</ul>';
    } elseif ($arxIndex['SimilarViewed']['ASIN']){
        print '<h2>'.$lang['amzSimViewed_Items'].'</h2>';
        print '<ul>';
        for ($i=0; $i<count($arxIndex['SimilarViewed']['ASIN']); $i++) {
            print '<li><a href=index.php?action=product&ASIN='.$arxIndex['SimilarViewed']['ASIN'][$i].'> ';

            print $arxIndex['SimilarViewed']['Title'][$i].'</a></li>';
        }
        print '</ul>';
    }
}
function amz_ProductImages($elem,$lang) {
    if ($elem['SmallImageSetURL'][1]) {
        print '<h2>'.$lang['amzProduct_Images'].'</h2>';
        print '<table cellspacing="5" cellpadding="5" width="100%"><tr>';
        for ($i=1; $i<5; $i++) {
            print '<td align="center">';
            print '<img src="'.$elem['SmallImageSetURL'][$i].'" width="'.$elem['SmallImageSetWidth'][$i].'" height="'.$elem['SmallImageSetHeight'][$i].'" alt="" />';
            print '</td>';
        }
        print '</tr></table>';
    }
}

function amz_MusicTracks($elem,$lang) {
    if ($elem['DiscNumber']['Number']) {
        for ($i=0; $i<count($elem['DiscNumber']['Number']); $i++) {
            print '<h3>'.$lang['amzDisc'].$elem['DiscNumber']['Number'][$i].$lang['amzTracks'].'</h3>';
            print '<blockquote>';
            for ($m=0; $m<count($elem['DiscTrackNumber'][$i]['Number']); $m++) {
                print '<b>'.$elem['DiscTrackNumber'][$i]['Number'][$m].'</b>. '.$elem['DiscTrackName'][$i][$m].'<br />';
            }
            print '</blockquote>';
        }
    }
}

function amz_Accessories($elem,$lang) {
    if ($elem['AccessoriesASIN']) {
        print '<h3>'.$lang['amzAccessories'].'</h3>';
        // print '<ul>';
        for ($i=0; $i<count($elem['AccessoriesASIN']); $i++) {
            print '<li><a href=index.php?action=product&ASIN='.$elem['AccessoriesASIN'][$i].'> ';
            print $elem['AccessoriesTitle'][$i].'</a></li>';
        }
        // print '</ul>';
    }
}

function amz_Reviews($elem,$lang) {
    if ($elem['CustomerReviewSummary']) {
        print '<h2>'.$lang['amzReviews'].'</h2>';
        for ($i=0; $i<count($elem['CustomerReviewSummary']); $i++) {
            print '<p><b>'.$elem['CustomerReviewSummary'][$i].'</b>';
            print ' ('.$lang['amzrating'].' <b>'.$elem['CustomerReviewRating'][$i].'</b>'.$lang['amz_out_of'].')';
            print '<br />'.$elem['CustomerReviewContent'][$i];
            if ($elem['CustomerReviewCustomerId'][$i]) {
                print '<br /><b>'.$lang['amzCustomer_Id'].'</b> '.$elem['CustomerReviewCustomerId'][$i].'<br />';
            }
            print '</p>';
        }
    }
}

function amz_Editorial($elem,$lang) {
    if ($elem['EditorialContent']) {
        for ($i=0; $i<count($elem['EditorialContent']); $i++) {
            print '<p><b>'.$elem['EditorialSource'][$i].'</b>';
            print '<br />'.$elem['EditorialContent'][$i].'</p> ';
        }
    }
}
function friendly($SearchIndex,$lang) {
	if ($SearchIndex == "SoftwareVideoGames") {
	    $newn = $lang['amzSoftwareVideoGames'];
	} elseif ($SearchIndex == "VideoGames") {
	    $newn = $lang['amzVideoGames'];
	} else {
	    $newn = $SearchIndex;
	}
	print $newn;
}

function search_pagination($arxIndex,$lang,$Keywords) {
	global $total_pages,$BrowseNode,$SearchIndex,$Sort;
    $rounded = intval($arxIndex['TotalResults']/10);

    if ($rounded < ($arxIndex['TotalResults']/10)) {
    $total_pages = $rounded+1;
    } else {
    $total_pages = $arxIndex['TotalResults']/10;
    }

    if ($total_pages< 2) {
    print $lang['amzOf'].' <b>1</b>';
    } else {
    print $lang['amzOf'].' <b>'.$total_pages.'</b><br />';
    }

    if ($total_pages > 1) {

        if ($arxIndex['ItemPage']!== '1' && $arxIndex['ItemPage']!== '0') { // page one
            print '<a href="index.php?action=search&Keywords='.$Keywords.'&SearchIndex=' . $SearchIndex;
            if ($BrowseNode) {
            print '&BrowseNode=' . $BrowseNode;
            }
            if ($Sort) {
            print '&Sort=' . $Sort;
            }
            print '">1...</a> ';
        }
        if ($arxIndex['ItemPage']>1) { // prev link
            print '<strong><a href="index.php?action=search&Keywords='.$Keywords.'&SearchIndex=' . $SearchIndex;
            if ($BrowseNode) {
                print '&BrowseNode=' . $BrowseNode;
            }
            if ($Sort) {
            print '&Sort=' . $Sort;
            }
            if ($arxIndex['ItemPage']>=2) {
                print '&page=' . ($arxIndex['ItemPage']-1) . '">Prev</a> - </strong>';
            }
            prev_links($arxIndex['ItemPage']);
        }
        if ($arxIndex['ItemPage']<$total_pages) {
            next_links($arxIndex['ItemPage']);
        }

        if (($arxIndex['ItemPage']+1)<$total_pages) { // next link
            print '<strong><a href="index.php?action=search&Keywords='.$Keywords.'&SearchIndex=' . $SearchIndex;
            if ($BrowseNode) {
            print '&BrowseNode=' . $BrowseNode;
            }
            if ($Sort) {
            print '&Sort=' . $Sort;
            }
            print '&page=' . ($arxIndex['ItemPage']+1) . '">Next &raquo;&raquo;</a></strong>';
        }
    }
}

function noimage($elem,$lang) {
	print '<img src="'.INFUSIONS.'amazecs/img/'.$lang['amz_noimageurl'].'" alt="'.$elem['Title'].'" />';
}

function amz_buttons($elem,$lang) {
    if ($elem['TotalOffers'] == "1") {
        if ($elem['OfferListingAvailability'] == $lang['amznot_avail']) {
            print '<br /><b>'.$lang['amz_avail'].'</b> '.$lang['amz_no_stock'].'<br /><br />';
        } else {
            print '<br /><span><b>'.$lang['amz_avail'].'</b> '.$elem['OfferListingAvailability'].'</span>';
            print '<br /><br />';
            print '<table><tr>
    <td>';
            amz_cartaddbutton($elem,$lang);
            print '</td><td>';
            amz_detailsbutton($elem,$lang);
            print '</td>
            </tr>
            </table>';
        }
    } elseif ($elem['TotalOffers'] == "0") {
        print '<br /><b>'.$lang['amz_avail'].'</b> '.$lang['amz_no_stock'].'<br /><br />';
        amz_detailsbutton($elem,$lang);

    } elseif ($elem['TotalOffers'] > "1") {
        print '<br /><b>'.$lang['amz_avail'].'</b> '.$elem['OfferListingAvailability'];
        print '<br /><br />';
        /* Or you can use the amazon buy page direct link
        print '<br /><a href="'.$elem['DetailPageURL'].'">'.$lang['amzbuy_text'].'</a><br />';
        */
        print '<table><tr>
               <td>';
        amz_cartaddbutton($elem,$lang);
        print '</td><td>';
        amz_detailsbutton($elem,$lang);
        print '</td>
            </tr>
            </table> <br />';

    }
}
?>