<?php
 /*****************************************************************
 *   xml_urls.php
 *   -------------------
 *   This file is part of AMAZECS
 *
 *   @package    : amazecs
 *   @purpose    : Formats AWSECommerceService URLs for parsing
 *   @copyright  : (C) 2004,2006 Len Johnson
 *   @mail       : GB WEBS, 4 Leominster Walk,
 *				   West Midlands, B45 9SW, UK
 *   @support    : http://www.web-bureau.com/forum/
 *   @version    : $Id: xml_urls.php,v 1.0.1 $
 *   @license 	 : http://opensource.org/licenses/gpl-license.php
 *
 *****************************************************************/
 /*****************************************************************
 *	 GNU Public License
 *   This program is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty
 *	 of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *****************************************************************/

/**
 * @ignore
 */

function product($ASIN)
{
	$ecsUrl = ECS4_AMAZON_URL;
	$ecsUrl .= '&SubscriptionId=1MD4MCSQSNXVA6EV3WG2';
	$ecsUrl .= '&AssociateTag='. ASSOCIATE_ID;
	$ecsUrl .= '&Operation=ItemLookup';
	$ecsUrl .= '&ItemId=' . $ASIN;
	$ecsUrl .= '&BrowseNode='. $BrowseNode;
	$ecsUrl .= '&ResponseGroup=Large,OfferFull';
	$ecsUrl .= '&XMLEscaping=Double';

	return $ecsUrl;
}

function multi_product($ASIN)
{
	global $BrowseNode;
	$ecsUrl = ECS4_AMAZON_URL;
	$ecsUrl .= '&SubscriptionId=1MD4MCSQSNXVA6EV3WG2';
	$ecsUrl .= '&AssociateTag='. ASSOCIATE_ID;
	$ecsUrl .= '&Operation=ItemLookup';
	$ecsUrl .= '&ItemId=' . $ASIN;
	$ecsUrl .= '&BrowseNode='. $BrowseNode;
	$ecsUrl .= '&ResponseGroup=Large,OfferFull';
	$ecsUrl .= '&XMLEscaping=Double';

	return $ecsUrl;
}

function search($Keywords,$SearchIndex,$BrowseNode)
{
	global $Sort,$page;

	$ecsUrl = ECS4_AMAZON_URL;
	$ecsUrl .= '&SubscriptionId=1MD4MCSQSNXVA6EV3WG2';
	$ecsUrl .= '&AssociateTag='. ASSOCIATE_ID;
	$ecsUrl .= '&Operation=ItemSearch';
	$ecsUrl .= '&Keywords=' . $Keywords;
	$ecsUrl .= '&SearchIndex='. $SearchIndex;
	$ecsUrl .= '&BrowseNode='. $BrowseNode;
	$ecsUrl .= '&ResponseGroup=Small,ItemAttributes,OfferFull,Reviews,Images';
	if ($page)
	{
		$ecsUrl .= '&ItemPage='. $page;
	}
	if (!$page)
	{
		$ecsUrl .= '&ItemPage=1';
	}
	if ($Sort)
	{
		$ecsUrl .= '&Sort='. $Sort;
	}

	return $ecsUrl;
}

function CartCreate($itemNumber, $quantity,$itemIdType)
{
	$ecsUrl = ECS4_AMAZON_URL;
	$ecsUrl .= '&SubscriptionId=1MD4MCSQSNXVA6EV3WG2';
	$ecsUrl .= '&AssociateTag='. ASSOCIATE_ID;
	$ecsUrl .= '&Operation=CartCreate';
	$ecsUrl .= $itemIdType;
	$ecsUrl .= $itemNumber;
	$ecsUrl .= '&Item.1.Quantity='. $quantity;
	$ecsUrl .= '&ResponseGroup=Request,Cart,CartSimilarities';
	$ecsUrl .= '&MergeCart=True';

	return $ecsUrl;
}

function CartAdd($itemNumber, $quantity,$itemIdType)
{
	$CartId = $_SESSION['CartId'];
	$HMAC = str_replace("+", "%2B", $_SESSION['HMAC']);

	$ecsUrl = ECS4_AMAZON_URL;
	$ecsUrl .= '&SubscriptionId=1MD4MCSQSNXVA6EV3WG2';
	$ecsUrl .= '&AssociateTag='. ASSOCIATE_ID;
	$ecsUrl .= '&Operation=CartAdd';
	$ecsUrl .= $itemIdType;
	$ecsUrl .= $itemNumber;
	$ecsUrl .= '&Item.1.Quantity='. $quantity;
	$ecsUrl .= '&ResponseGroup=Request,Cart,CartSimilarities';
	$ecsUrl .= '&CartId=' . $CartId;
	$ecsUrl .= '&HMAC=' . $HMAC;
	$ecsUrl .= '&MergeCart=True';

	return $ecsUrl;
}

function CartModify($CartItemId,$quantity)
{
	$CartId = $_SESSION['CartId'];
	$HMAC = str_replace("+", "%2B", $_SESSION['HMAC']);

	$ecsUrl = ECS4_AMAZON_URL;
	$ecsUrl .= '&SubscriptionId=1MD4MCSQSNXVA6EV3WG2';
	$ecsUrl .= '&AssociateTag='. ASSOCIATE_ID;
	$ecsUrl .= '&Item.1.CartItemId=' . $CartItemId;
	$ecsUrl .= '&Operation=CartModify';

	if($quantity)
	{
		$ecsUrl .= '&Item.1.Quantity='. $quantity;
	}
	else
	{
		$ecsUrl .= '&Item.1.Quantity=0';
	}

	$ecsUrl .= '&ResponseGroup=Request,Cart,CartSimilarities';
	$ecsUrl .= '&CartId=' . $CartId;
	$ecsUrl .= '&HMAC=' . $HMAC;
	$ecsUrl .= '&MergeCart=True';

	return $ecsUrl;
}

function CartGet()
{
	$CartId = $_SESSION['CartId'];
	$HMAC = str_replace("+", "%2B", $_SESSION['HMAC']);

	$ecsUrl = ECS4_AMAZON_URL;
	$ecsUrl .= '&SubscriptionId=1MD4MCSQSNXVA6EV3WG2';
	$ecsUrl .= '&AssociateTag='. ASSOCIATE_ID;
	$ecsUrl .= '&Operation=CartGet';
	$ecsUrl .= '&ResponseGroup=Request,Cart,CartSimilarities';
	$ecsUrl .= '&CartId=' . $CartId;
	$ecsUrl .= '&HMAC=' . $HMAC;
	$ecsUrl .= '&MergeCart=True';

	return $ecsUrl;
}

function CartClear()
{
	$CartId = $_SESSION['CartId'];
	$HMAC = str_replace("+", "%2B", $_SESSION['HMAC']);

	$ecsUrl = ECS4_AMAZON_URL;
	$ecsUrl .= '&SubscriptionId=1MD4MCSQSNXVA6EV3WG2';
	$ecsUrl .= '&AssociateTag='. ASSOCIATE_ID;
	$ecsUrl .= '&Operation=CartClear';
	$ecsUrl .= '&ResponseGroup=Request,Cart';
	$ecsUrl .= '&CartId=' . $CartId;
	$ecsUrl .= '&HMAC=' . $HMAC;
	$ecsUrl .= '&MergeCart=True';

	return $ecsUrl;
}
?>